# Tyro Health Web SDK

## Install

```
npm login // Login to your NPM account - you must have access to the Medipass org
npm install '@medipass/web-sdk' --save
```

## Setup

```javascript
import sdk from '@medipass/web-sdk';

sdk.setup('prod', { defaultVersion: 'v2', appId: 'web-application' });
```

## Example usage

```javascript
import sdk from '@medipass/web-sdk';

const getBusinessPracticeStaffMembers = async (businessId, practiceId) => {
  const res = await sdk.staff.getBusinessPracticeStaffMembers(businessId, practiceId, { page: 2, limit: 10 });
  // do stuff with `res`
}
```


