import type { MedipassRequestOpts } from '../types';
export declare const pathLinkBusinessProfile: (businessProfileId: string) => string;
export declare const pathUnlinkBusinessProfile: (businessProfileId: string) => string;
export declare const pathOrganisationBusinessProfiles: (organisationId: string) => string;
declare type BusinessProfilesQuery = {
    businessId?: string;
    unlinkedOnly?: boolean;
    from?: string;
    to?: string;
    sort?: string;
    searchText?: string;
    page?: number;
    limit?: number;
};
export declare const getOrganisationBusinessProfiles: (organisationId: string, query?: BusinessProfilesQuery, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const linkBusinessProfile: (businessProfileId: string, businessId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const unlinkBusinessProfile: (businessProfileId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export {};
