'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('@babel/runtime/helpers/defineProperty');
require('../utils/does-param-exist.js');
var utils_request = require('../staff-a3867398.js');
require('../utils/param-error.js');
require('@babel/runtime/helpers/inheritsLoose');
require('@babel/runtime/helpers/wrapNativeSuper');
require('lodash/forOwn');
require('@babel/runtime/regenerator');
require('@babel/runtime/helpers/asyncToGenerator');
require('lodash/merge');
require('lodash/uniq');
require('axios');
require('date-fns/differenceInSeconds');
require('jwt-decode');
require('lodash/get');
require('../utils/get-axios-error.js');
require('lodash/omitBy');
require('lodash/isEmpty');
require('../services/storage.js');
require('store/src/store-engine');
require('store/storages/localStorage');
require('store/storages/sessionStorage');
require('@medipass/utils/masked');
require('@medipass/utils/sensitive-keys');
require('platform');
require('@medipass/utils/constants');
require('pify');
require('@medipass/utils/get-env');
require('@medipass/utils/funders');
require('compare-versions');
require('../utils/base-urls/index.js');
require('../utils/base-urls/core.js');
require('../utils/base-urls/risk.js');
require('lodash/flatten');
require('../types/documents.js');
require('../types/filter-option.js');



exports.activateHealthPointDigitalClaiming = utils_request.activateHealthPointDigitalClaiming;
exports.approveHealthFundDocument = utils_request.approveHealthFundDocument;
exports.assignHealthFundDocumentToMe = utils_request.assignHealthFundDocumentToMe;
exports.cancelBusinessDocument = utils_request.cancelBusinessDocument;
exports.ceaseHealthFundDocument = utils_request.ceaseHealthFundDocument;
exports.declineHealthFundDocument = utils_request.declineHealthFundDocument;
exports.deleteHealthFundDocumentTag = utils_request.deleteHealthFundDocumentTag;
exports.getBusinessDocument = utils_request.getBusinessDocument;
exports.getBusinessDocuments = utils_request.getBusinessDocuments;
exports.getHealthFundDocument = utils_request.getHealthFundDocument;
exports.getHealthFundDocuments = utils_request.getHealthFundDocuments;
exports.getHealthPointRegistrationApplication = utils_request.getHealthPointRegistrationApplication;
exports.parkHealthFundDocument = utils_request.parkHealthFundDocument;
exports.pathBusinessDocument = utils_request.pathBusinessDocument;
exports.pathBusinessDocumentCancel = utils_request.pathBusinessDocumentCancel;
exports.pathBusinessDocuments = utils_request.pathBusinessDocuments;
exports.pathHealthFundDocument = utils_request.pathHealthFundDocument;
exports.pathHealthFundDocumentApprove = utils_request.pathHealthFundDocumentApprove;
exports.pathHealthFundDocumentAssignToMe = utils_request.pathHealthFundDocumentAssignToMe;
exports.pathHealthFundDocumentCease = utils_request.pathHealthFundDocumentCease;
exports.pathHealthFundDocumentDecline = utils_request.pathHealthFundDocumentDecline;
exports.pathHealthFundDocumentPark = utils_request.pathHealthFundDocumentPark;
exports.pathHealthFundDocumentTag = utils_request.pathHealthFundDocumentTag;
exports.pathHealthFundDocuments = utils_request.pathHealthFundDocuments;
exports.pathHealthFundHealthPointActivateDigitalClaiming = utils_request.pathHealthFundHealthPointActivateDigitalClaiming;
exports.pathHealthFundHealthPointRegistrationApplication = utils_request.pathHealthFundHealthPointRegistrationApplication;
exports.updateHealthPointRegistrationApplication = utils_request.updateHealthPointRegistrationApplication;
