import type { MedipassRequestOpts } from '../types';
export declare const healthFundEmailSections: (healthFundId: string, emailTemplateId: string) => string;
export declare const healthFundEmailTemplates: (healthFundId: string) => string;
export declare const healthFundTransactionEmail: (healthFundId: string, transactionId: string) => string;
export declare const healthFundDocumentEmail: (healthFundId: string, documentId: string) => string;
export declare const transactionEmailPackages: (transactionId: string) => string;
export declare const transactionEmailPackage: (transactionId: string, emailPackageId: string) => string;
export declare const getHealthFundEmailSections: (healthFundId: string, emailTemplateId: string, query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const getHealthFundEmailTemplates: (healthFundId: string, query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const generateEmailTemplate: (healthFundId: string, transactionId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const generateDocumentEmailTemplate: (healthFundId: string, documentId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const createEmailPackage: (transactionId: string, body?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const updateEmailPackage: (transactionId: string, emailPackageId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const sendEmailPackage: (transactionId: string, emailPackageId: string, body?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
