import type { MedipassRequestOpts } from '../types';
export declare const pathVerifyEclipse: () => string;
/**
 * Verifies ECLIPSE patient
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const verifyEclipse: (body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Array<Record<string, any>>>;
