import type { MedipassRequestOpts, PaginatedResponse } from '../types';
import type { Organisation } from 'types/organisation';
/**
 * Get organisations
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getOrganisations: (query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<Organisation>>;
