import type { MedipassRequestOpts } from '../types';
export declare const pathProviderNumberTypes: () => string;
export declare const pathProviderNumberType: (providerNumberTypeId: string) => string;
/**
 * Get provider number types
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getProviderNumberTypes: (query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get provider number type
 * @param {String} providerNumberTypeId - Provider number type ID
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getProviderNumberType: (providerNumberTypeId: string, query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
