import type { MedipassRequestOpts } from '../types';
export declare const pathLinkStaffProfile: (staffProfileId: string) => string;
export declare const pathOrganisationStaffProfiles: (organisationId: string) => string;
export declare const pathStaffProfile: (staffProfileId: string) => string;
export declare const pathUnlinkStaffProfile: (staffProfileId: string) => string;
declare type StaffProfilesQuery = {
    staffId?: string;
    unlinkedOnly?: boolean;
    from?: string;
    to?: string;
    sort?: string;
    searchText?: string;
    page?: number;
    limit?: number;
};
export declare const getOrganisationStaffProfiles: (organisationId: string, query?: StaffProfilesQuery, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const getStaffProfile: (staffProfileId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const linkStaffProfile: (staffProfileId: string, staffId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const unlinkStaffProfile: (staffProfileId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export {};
