import type { MedipassRequestOpts } from '../types';
import '../types';
/**
 * Get trigger
 * @param {String} triggerId - Trigger ID
 * @param {Object} opts - Additional options
 */
export declare const getTrigger: (triggerId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get triggers
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getTriggers: (query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get trigger categories
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getTriggerCategories: (query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
