/**
 * Get current app version
 */
export declare const getCurrentAppVersion: () => string;
/**
 * Set current app version
 */
export declare const setCurrentAppVersion: (version: string | null | undefined) => void;
/**
 * Fetch latest app version
 */
export declare const fetchLatestAppVersion: () => Promise<string | null | undefined>;
/**
 * Fetch minimum app version
 */
export declare const fetchMinimumAppVerson: () => string | null | undefined;
/**
 * Check app version
 * Checks if the app is up-to-date
 */
export declare const checkAppVersion: () => Record<string, any>;
