export interface BulkSubmitsResponse {
    organisationId: string;
    businessId: string;
    funderId: string;
    transactionIds: Array<string>;
    draftConversionProgress: {
        processedTransactionsIds: Array<string>;
        erroredTransactionsIds: Array<string>;
    };
    submissionProgress: {
        processedTransactionsIds: Array<string>;
        erroredTransactionsIds: Array<string>;
    };
    gatewayCode?: string;
    gatewayDescription?: string;
    status: string;
    statusHistory: Array<{
        status: string;
        created: string;
        createdByAccountId: string;
        createdByAccountUsername: string;
        createdByApplicationId: string;
    }>;
    _id: string;
    created: string;
    modified: string;
}
export interface BulkSubmitsProgressResponse {
    draftConversionProgress: {
        processedTransactionsIds: Array<string>;
        erroredTransactionsIds: Array<string>;
    };
    submissionProgress: {
        processedTransactionsIds: Array<string>;
        erroredTransactionsIds: Array<string>;
    };
    _id: string;
    organisationId: string;
    businessId: string;
    transactionIds: Array<string>;
    status: string;
    statusHistory: Array<{
        status: string;
        created: string;
        createdByAccountId: string;
        createdByAccountUsername: string;
        createdByApplicationId: string;
    }>;
    gatewayCode?: string;
    gatewayDescription?: string;
    created: string;
    modified: string;
}
