import type { PaginationMeta, PaginatedQuery } from './index';
/** START: Query */
export declare type GetBusinessMessageMappingsQuery = PaginatedQuery & {
    type?: string;
};
/** END: Query */
/** START: Responses */
export declare type GetBusinessMessageMappingsResponse = {
    meta: PaginationMeta;
    items: Array<{
        _id: string;
        refId: string;
        refMessage: string;
        created: string;
        modified: string;
    }>;
};
/** END: Responses */
