import type { PaginatedQuery } from './index';
export interface ProfessionalCategory {
    code: string;
    displayName: string;
    fullName: string;
    _id: string;
    description: string;
    created: string;
    modified: string;
}
/** START: Requests */
export declare type GetProfessionalCategoriesQuery = PaginatedQuery & {
    searchText?: string;
    professionalCategoryIds?: string;
};
/** END: Requests */
