import type { ProviderNumberType, ProfessionalCategory, Specialty, ProviderRegistrationType } from 'types';
export interface ProviderRegistration {
    _id: string;
    specialtyIds?: string[];
    providerRegistrationTypeId: string;
    professionalCategoryId: string;
    providerNumber: string;
}
export declare type ParsedProviderRegistration = ProviderRegistration & {
    providerNumberType?: ProviderNumberType | undefined;
    professionalCategory: ProfessionalCategory | undefined;
    specialties?: Specialty[];
    providerRegistrationType: ProviderRegistrationType | undefined;
};
