import type { ProviderSetItem, PaginatedResponse, ProviderRegistrationType, ProfessionalCategory, Specialty, ProviderRegistration } from '../index';
export declare type ParseProfessionsResponse = {
    professionalCategory: ProfessionalCategory | undefined;
    specialties?: Specialty[];
    providerRegistrationType: ProviderRegistrationType | undefined;
}[];
export declare function parseProfessions(professions: (ProviderSetItem | ProviderRegistration)[], { providerRegistrationTypes }?: {
    providerRegistrationTypes?: PaginatedResponse<ProviderRegistrationType>;
}): Promise<ParseProfessionsResponse>;
