import type { Funder, PaginatedResponse, ParsedProviderSetItem, ProviderNumberType, ProviderRegistration, ProviderRegistrationType, ProviderSetItem } from '../index';
import * as professionsUtils from './professions';
export declare function parseProviderSet(providerSet: ProviderSetItem[], { businessId, funders, providerRegistrationTypes, providerNumberTypes: _providerNumberTypes, parseProviderNumberType }: {
    businessId: string;
    funders?: Funder[];
    providerRegistrationTypes?: PaginatedResponse<ProviderRegistrationType>;
    providerNumberTypes?: ProviderNumberType[];
    parseProviderNumberType?: boolean;
}): Promise<ParsedProviderSetItem[]>;
export declare function parseProviderRegistrations(providerRegistrations: ProviderRegistration[], opts?: {}): Promise<ProviderRegistration[] & professionsUtils.ParseProfessionsResponse>;
