# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [11.62.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.62.3...@medipass/web-sdk@11.62.5) (2023-04-17)

**Note:** Version bump only for package @medipass/web-sdk

## [11.62.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.62.1...@medipass/web-sdk@11.62.3) (2023-04-17)

### Bug Fixes

- **web-sdk:** make attributes optional for update healthpoint application ([#784](https://github.com/medipass/medipass-web-sdk/issues/784)) ([d601216](https://github.com/medipass/medipass-web-sdk/commit/d601216))

## [11.62.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.62.0...@medipass/web-sdk@11.62.1) (2023-04-15)

**Note:** Version bump only for package @medipass/web-sdk

# [11.62.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.61.0...@medipass/web-sdk@11.62.0) (2023-04-15)

### Features

- healthpoint registration application endpoints ([#763](https://github.com/medipass/medipass-web-sdk/issues/763)) ([d17b81f](https://github.com/medipass/medipass-web-sdk/commit/d17b81f))

# [11.61.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.60.0...@medipass/web-sdk@11.61.0) (2023-04-12)

### Features

- add new textarea component ([#776](https://github.com/medipass/medipass-web-sdk/issues/776)) ([b1b3a29](https://github.com/medipass/medipass-web-sdk/commit/b1b3a29))

# [11.60.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.59.0...@medipass/web-sdk@11.60.0) (2023-04-06)

### Features

- add endpoints for exporting remittances ([#775](https://github.com/medipass/medipass-web-sdk/issues/775)) ([704e8e3](https://github.com/medipass/medipass-web-sdk/commit/704e8e3))

# [11.59.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.58.0...@medipass/web-sdk@11.59.0) (2023-04-05)

### Features

- **react-core:** new tailwind switch component ([#769](https://github.com/medipass/medipass-web-sdk/issues/769)) ([1760854](https://github.com/medipass/medipass-web-sdk/commit/1760854))

# [11.58.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.57.4...@medipass/web-sdk@11.58.0) (2023-04-05)

### Features

- **web-sdk:** create phi quote ([#773](https://github.com/medipass/medipass-web-sdk/issues/773)) ([5994166](https://github.com/medipass/medipass-web-sdk/commit/5994166))

## [11.57.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.57.3...@medipass/web-sdk@11.57.4) (2023-03-28)

### Bug Fixes

- error response type ([#765](https://github.com/medipass/medipass-web-sdk/issues/765)) ([5f56ec2](https://github.com/medipass/medipass-web-sdk/commit/5f56ec2))

## [11.57.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.57.2...@medipass/web-sdk@11.57.3) (2023-03-28)

**Note:** Version bump only for package @medipass/web-sdk

## [11.57.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.57.1...@medipass/web-sdk@11.57.2) (2023-03-26)

**Note:** Version bump only for package @medipass/web-sdk

## [11.57.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.57.0...@medipass/web-sdk@11.57.1) (2023-03-17)

**Note:** Version bump only for package @medipass/web-sdk

# [11.57.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.56.1...@medipass/web-sdk@11.57.0) (2023-03-14)

### Features

- healthpoint manual endpoint ([#758](https://github.com/medipass/medipass-web-sdk/issues/758)) ([734c511](https://github.com/medipass/medipass-web-sdk/commit/734c511))

## [11.56.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.56.0...@medipass/web-sdk@11.56.1) (2023-03-10)

**Note:** Version bump only for package @medipass/web-sdk

# [11.56.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.55.0...@medipass/web-sdk@11.56.0) (2023-03-09)

### Features

- healthpoint upload file endpoints ([#735](https://github.com/medipass/medipass-web-sdk/issues/735)) ([9c0451d](https://github.com/medipass/medipass-web-sdk/commit/9c0451d))

# [11.55.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.54.0...@medipass/web-sdk@11.55.0) (2023-03-09)

### Features

- **react-core:** button ghost variant ([#756](https://github.com/medipass/medipass-web-sdk/issues/756)) ([df7cceb](https://github.com/medipass/medipass-web-sdk/commit/df7cceb))

# [11.54.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.53.0...@medipass/web-sdk@11.54.0) (2023-03-07)

### Features

- void payment ([#755](https://github.com/medipass/medipass-web-sdk/issues/755)) ([15f84c3](https://github.com/medipass/medipass-web-sdk/commit/15f84c3))

# [11.53.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.52.3...@medipass/web-sdk@11.53.0) (2023-02-23)

### Features

- **sdk:** futures ([#748](https://github.com/medipass/medipass-web-sdk/issues/748)) ([58b7d62](https://github.com/medipass/medipass-web-sdk/commit/58b7d62))

## [11.52.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.52.2...@medipass/web-sdk@11.52.3) (2023-02-20)

**Note:** Version bump only for package @medipass/web-sdk

## [11.52.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.52.1...@medipass/web-sdk@11.52.2) (2023-02-08)

**Note:** Version bump only for package @medipass/web-sdk

## [11.52.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.52.0...@medipass/web-sdk@11.52.1) (2023-02-02)

**Note:** Version bump only for package @medipass/web-sdk

# [11.52.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.51.1...@medipass/web-sdk@11.52.0) (2023-02-02)

### Features

- add billing history web-sdk functions ([#737](https://github.com/medipass/medipass-web-sdk/issues/737)) ([932c241](https://github.com/medipass/medipass-web-sdk/commit/932c241))

## [11.51.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.51.0...@medipass/web-sdk@11.51.1) (2023-02-01)

**Note:** Version bump only for package @medipass/web-sdk

# [11.51.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.50.0...@medipass/web-sdk@11.51.0) (2023-01-24)

### Bug Fixes

- remove unused types ([f360611](https://github.com/medipass/medipass-web-sdk/commit/f360611))

### Features

- **web-sdk:** add ts support to parseProviderSet and parseProfessions ([#736](https://github.com/medipass/medipass-web-sdk/issues/736)) ([c539068](https://github.com/medipass/medipass-web-sdk/commit/c539068))

# [11.50.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.49.3...@medipass/web-sdk@11.50.0) (2023-01-23)

### Features

- use strict mode for all typescript packages ([#734](https://github.com/medipass/medipass-web-sdk/issues/734)) ([a2d30af](https://github.com/medipass/medipass-web-sdk/commit/a2d30af))

## [11.49.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.49.2...@medipass/web-sdk@11.49.3) (2023-01-15)

### Bug Fixes

- update device ([#730](https://github.com/medipass/medipass-web-sdk/issues/730)) ([b5ee27b](https://github.com/medipass/medipass-web-sdk/commit/b5ee27b))

## [11.49.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.49.1...@medipass/web-sdk@11.49.2) (2023-01-12)

**Note:** Version bump only for package @medipass/web-sdk

## [11.49.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.49.0...@medipass/web-sdk@11.49.1) (2022-12-23)

**Note:** Version bump only for package @medipass/web-sdk

# [11.49.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.48.8...@medipass/web-sdk@11.49.0) (2022-12-22)

### Features

- add ts support to react-core package ([#717](https://github.com/medipass/medipass-web-sdk/issues/717)) ([b998423](https://github.com/medipass/medipass-web-sdk/commit/b998423))

## [11.48.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.48.7...@medipass/web-sdk@11.48.8) (2022-12-13)

**Note:** Version bump only for package @medipass/web-sdk

## [11.48.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.48.6...@medipass/web-sdk@11.48.7) (2022-12-11)

**Note:** Version bump only for package @medipass/web-sdk

## [11.48.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.48.5...@medipass/web-sdk@11.48.6) (2022-12-11)

**Note:** Version bump only for package @medipass/web-sdk

## [11.48.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.48.4...@medipass/web-sdk@11.48.5) (2022-12-07)

### Bug Fixes

- utils ts support ([#710](https://github.com/medipass/medipass-web-sdk/issues/710)) ([4e6953b](https://github.com/medipass/medipass-web-sdk/commit/4e6953b))

## [11.48.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.48.3...@medipass/web-sdk@11.48.4) (2022-12-02)

**Note:** Version bump only for package @medipass/web-sdk

## [11.48.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.48.2...@medipass/web-sdk@11.48.3) (2022-12-02)

**Note:** Version bump only for package @medipass/web-sdk

## [11.48.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.48.2-master.0...@medipass/web-sdk@11.48.2) (2022-12-01)

**Note:** Version bump only for package @medipass/web-sdk

## [11.48.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.48.0...@medipass/web-sdk@11.48.1) (2022-11-21)

**Note:** Version bump only for package @medipass/web-sdk

# [11.48.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.47.0...@medipass/web-sdk@11.48.0) (2022-11-04)

### Features

- **web-sdk, utils:** abr resource and abn validators ([#704](https://github.com/medipass/medipass-web-sdk/issues/704)) ([531b969](https://github.com/medipass/medipass-web-sdk/commit/531b969))

# [11.47.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.46.2...@medipass/web-sdk@11.47.0) (2022-10-30)

### Features

- healthpoint enhancements ([#702](https://github.com/medipass/medipass-web-sdk/issues/702)) ([4fdaf73](https://github.com/medipass/medipass-web-sdk/commit/4fdaf73))

## [11.46.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.46.1...@medipass/web-sdk@11.46.2) (2022-10-28)

**Note:** Version bump only for package @medipass/web-sdk

## [11.46.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.46.0...@medipass/web-sdk@11.46.1) (2022-10-25)

**Note:** Version bump only for package @medipass/web-sdk

# [11.46.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.45.0...@medipass/web-sdk@11.46.0) (2022-10-23)

### Features

- **utils:** convert to ts ([#699](https://github.com/medipass/medipass-web-sdk/issues/699)) ([e679b9c](https://github.com/medipass/medipass-web-sdk/commit/e679b9c))

# [11.45.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.44.0...@medipass/web-sdk@11.45.0) (2022-10-21)

### Features

- **react-core:** add suspend modal ([#696](https://github.com/medipass/medipass-web-sdk/issues/696)) ([3857f2b](https://github.com/medipass/medipass-web-sdk/commit/3857f2b))

# [11.44.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.43.0...@medipass/web-sdk@11.44.0) (2022-10-19)

### Features

- **web-sdk:** add suspend and unsuspend business ([#697](https://github.com/medipass/medipass-web-sdk/issues/697)) ([1f4c86c](https://github.com/medipass/medipass-web-sdk/commit/1f4c86c))

# [11.43.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.42.0...@medipass/web-sdk@11.43.0) (2022-10-18)

### Features

- **web-sdk:** add filter options resource ([#695](https://github.com/medipass/medipass-web-sdk/issues/695)) ([684d82c](https://github.com/medipass/medipass-web-sdk/commit/684d82c))

# [11.42.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.41.2...@medipass/web-sdk@11.42.0) (2022-10-04)

### Features

- eclipse business settings ([#690](https://github.com/medipass/medipass-web-sdk/issues/690)) ([aafdf0a](https://github.com/medipass/medipass-web-sdk/commit/aafdf0a))

## [11.41.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.41.1...@medipass/web-sdk@11.41.2) (2022-09-27)

**Note:** Version bump only for package @medipass/web-sdk

## [11.41.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.41.0...@medipass/web-sdk@11.41.1) (2022-09-26)

**Note:** Version bump only for package @medipass/web-sdk

# [11.41.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.40.5...@medipass/web-sdk@11.41.0) (2022-09-21)

### Features

- **web-sdk:** add request update patient payment method function ([#686](https://github.com/medipass/medipass-web-sdk/issues/686)) ([5aa6da4](https://github.com/medipass/medipass-web-sdk/commit/5aa6da4))

## [11.40.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.40.4...@medipass/web-sdk@11.40.5) (2022-09-16)

**Note:** Version bump only for package @medipass/web-sdk

## [11.40.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.40.3...@medipass/web-sdk@11.40.4) (2022-09-15)

**Note:** Version bump only for package @medipass/web-sdk

## [11.40.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.40.3-master.0...@medipass/web-sdk@11.40.3) (2022-09-13)

### Bug Fixes

- add whitespace for publish ([f299034](https://github.com/medipass/medipass-web-sdk/commit/f299034))

## [11.40.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.40.1...@medipass/web-sdk@11.40.2) (2022-09-08)

### Bug Fixes

- eclipse report requested date ([#682](https://github.com/medipass/medipass-web-sdk/issues/682)) ([9d7e2a7](https://github.com/medipass/medipass-web-sdk/commit/9d7e2a7))

## [11.40.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.40.0...@medipass/web-sdk@11.40.1) (2022-08-26)

**Note:** Version bump only for package @medipass/web-sdk

# [11.40.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.39.3...@medipass/web-sdk@11.40.0) (2022-08-24)

### Features

- add two new sdk functions for enable and reenable business ([#677](https://github.com/medipass/medipass-web-sdk/issues/677)) ([6759f23](https://github.com/medipass/medipass-web-sdk/commit/6759f23))

## [11.39.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.39.2...@medipass/web-sdk@11.39.3) (2022-08-17)

### Bug Fixes

- package release ([#676](https://github.com/medipass/medipass-web-sdk/issues/676)) ([acb14e8](https://github.com/medipass/medipass-web-sdk/commit/acb14e8))

## [11.39.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.39.2...@medipass/web-sdk@11.39.2) (2022-08-17)

### Bug Fixes

- package release ([#676](https://github.com/medipass/medipass-web-sdk/issues/676)) ([acb14e8](https://github.com/medipass/medipass-web-sdk/commit/acb14e8))

## [11.39.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.39.1...@medipass/web-sdk@11.39.2) (2022-08-17)

### Bug Fixes

- **web-sdk:** utils ambient type declaration to include subdirectories ([eae5735](https://github.com/medipass/medipass-web-sdk/commit/eae5735))

## [11.39.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.39.0...@medipass/web-sdk@11.39.1) (2022-08-17)

**Note:** Version bump only for package @medipass/web-sdk

# [11.39.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.38.0...@medipass/web-sdk@11.39.0) (2022-08-16)

### Features

- add typescript support to web-sdk ([#674](https://github.com/medipass/medipass-web-sdk/issues/674)) ([ee644f8](https://github.com/medipass/medipass-web-sdk/commit/ee644f8))

# [11.38.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.37.8...@medipass/web-sdk@11.38.0) (2022-08-10)

### Features

- **web sdk:** settlement summaries search options ([#670](https://github.com/medipass/medipass-web-sdk/issues/670)) ([f31ff83](https://github.com/medipass/medipass-web-sdk/commit/f31ff83))

## [11.37.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.37.7...@medipass/web-sdk@11.37.8) (2022-08-07)

**Note:** Version bump only for package @medipass/web-sdk

## [11.37.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.37.7-master.0...@medipass/web-sdk@11.37.7) (2022-08-05)

**Note:** Version bump only for package @medipass/web-sdk

## [11.37.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.37.5...@medipass/web-sdk@11.37.6) (2022-08-05)

**Note:** Version bump only for package @medipass/web-sdk

## [11.37.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.37.4...@medipass/web-sdk@11.37.5) (2022-08-05)

**Note:** Version bump only for package @medipass/web-sdk

## [11.37.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.37.3...@medipass/web-sdk@11.37.4) (2022-08-05)

### Bug Fixes

- crash on table component when selecting undefined rows ([#671](https://github.com/medipass/medipass-web-sdk/issues/671)) ([b4e0e4e](https://github.com/medipass/medipass-web-sdk/commit/b4e0e4e))

## [11.37.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.37.2...@medipass/web-sdk@11.37.3) (2022-08-02)

### Bug Fixes

- mask sensitive fields when logging to sentry ([#669](https://github.com/medipass/medipass-web-sdk/issues/669)) ([45e71ab](https://github.com/medipass/medipass-web-sdk/commit/45e71ab))

## [11.37.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.37.1...@medipass/web-sdk@11.37.2) (2022-07-22)

### Bug Fixes

- eclipse pdf endpoint ([#667](https://github.com/medipass/medipass-web-sdk/issues/667)) ([8bb343d](https://github.com/medipass/medipass-web-sdk/commit/8bb343d))

## [11.37.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.37.0...@medipass/web-sdk@11.37.1) (2022-07-14)

**Note:** Version bump only for package @medipass/web-sdk

# [11.37.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.36.0...@medipass/web-sdk@11.37.0) (2022-06-22)

### Features

- **web-sdk:** add bulk draft invoice submit ([#660](https://github.com/medipass/medipass-web-sdk/issues/660)) ([97d5c0f](https://github.com/medipass/medipass-web-sdk/commit/97d5c0f))

# [11.36.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.35.0...@medipass/web-sdk@11.36.0) (2022-06-10)

### Features

- **web-sdk:** add update form application practice representative ([#659](https://github.com/medipass/medipass-web-sdk/issues/659)) ([c9ddbc9](https://github.com/medipass/medipass-web-sdk/commit/c9ddbc9))

# [11.35.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.34.0...@medipass/web-sdk@11.35.0) (2022-06-08)

### Features

- **utils:** add referral field nib invoice overview ([#657](https://github.com/medipass/medipass-web-sdk/issues/657)) ([a97f6bd](https://github.com/medipass/medipass-web-sdk/commit/a97f6bd))

# [11.34.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.32.0...@medipass/web-sdk@11.34.0) (2022-06-06)

### Bug Fixes

- add doc and force publish ([#658](https://github.com/medipass/medipass-web-sdk/issues/658)) ([e9b7818](https://github.com/medipass/medipass-web-sdk/commit/e9b7818))

### Features

- eclipse patient verification ([#656](https://github.com/medipass/medipass-web-sdk/issues/656)) ([57282bc](https://github.com/medipass/medipass-web-sdk/commit/57282bc))

# [11.33.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.32.0...@medipass/web-sdk@11.33.0) (2022-06-01)

### Features

- eclipse patient verification ([#656](https://github.com/medipass/medipass-web-sdk/issues/656)) ([57282bc](https://github.com/medipass/medipass-web-sdk/commit/57282bc))

# [11.32.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.31.0...@medipass/web-sdk@11.32.0) (2022-05-30)

### Bug Fixes

- eclipse oec ([#654](https://github.com/medipass/medipass-web-sdk/issues/654)) ([613982a](https://github.com/medipass/medipass-web-sdk/commit/613982a))

### Features

- eclipse oec ([#651](https://github.com/medipass/medipass-web-sdk/issues/651)) ([f5ce67a](https://github.com/medipass/medipass-web-sdk/commit/f5ce67a))

# [11.31.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.30.0...@medipass/web-sdk@11.31.0) (2022-05-29)

### Features

- add get providers status request ([#649](https://github.com/medipass/medipass-web-sdk/issues/649)) ([a428bea](https://github.com/medipass/medipass-web-sdk/commit/a428bea))

# [11.30.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.29.0...@medipass/web-sdk@11.30.0) (2022-05-26)

### Features

- add refund required gap payment status ([#648](https://github.com/medipass/medipass-web-sdk/issues/648)) ([26a49d2](https://github.com/medipass/medipass-web-sdk/commit/26a49d2))

# [11.29.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.28.0...@medipass/web-sdk@11.29.0) (2022-05-25)

### Bug Fixes

- patient claim invoice section visibility ([#647](https://github.com/medipass/medipass-web-sdk/issues/647)) ([eddc20d](https://github.com/medipass/medipass-web-sdk/commit/eddc20d))

### Features

- **react-core:** mark as reconciled transaction button action added ([#642](https://github.com/medipass/medipass-web-sdk/issues/642)) ([96c4d4d](https://github.com/medipass/medipass-web-sdk/commit/96c4d4d))

# [11.28.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.28.0...@medipass/web-sdk@11.28.0) (2022-05-20)

### Features

- **react-core:** mark as reconciled transaction button action added ([#642](https://github.com/medipass/medipass-web-sdk/issues/642)) ([96c4d4d](https://github.com/medipass/medipass-web-sdk/commit/96c4d4d))

# [11.28.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.27.1...@medipass/web-sdk@11.28.0) (2022-05-19)

### Features

- invoices by funder and eclipse support ([#645](https://github.com/medipass/medipass-web-sdk/issues/645)) ([bc4dbe7](https://github.com/medipass/medipass-web-sdk/commit/bc4dbe7))

## [11.27.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.27.0...@medipass/web-sdk@11.27.1) (2022-05-18)

**Note:** Version bump only for package @medipass/web-sdk

# [11.27.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.26.1...@medipass/web-sdk@11.27.0) (2022-05-03)

### Features

- add ndis plan manager settings ([#641](https://github.com/medipass/medipass-web-sdk/issues/641)) ([d8898b9](https://github.com/medipass/medipass-web-sdk/commit/d8898b9))

## [11.26.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.26.0...@medipass/web-sdk@11.26.1) (2022-04-08)

### Bug Fixes

- eclipse create invoice endpoint ([#638](https://github.com/medipass/medipass-web-sdk/issues/638)) ([b798e0f](https://github.com/medipass/medipass-web-sdk/commit/b798e0f))

# [11.26.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.25.0...@medipass/web-sdk@11.26.0) (2022-04-06)

### Features

- new eclipse endpoints ([#636](https://github.com/medipass/medipass-web-sdk/issues/636)) ([b64d473](https://github.com/medipass/medipass-web-sdk/commit/b64d473))

# [11.25.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.24.7...@medipass/web-sdk@11.25.0) (2022-04-04)

### Features

- **utils:** add bank account name validation ([90a333f](https://github.com/medipass/medipass-web-sdk/commit/90a333f))

## [11.24.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.24.6...@medipass/web-sdk@11.24.7) (2022-03-31)

**Note:** Version bump only for package @medipass/web-sdk

## [11.24.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.24.5...@medipass/web-sdk@11.24.6) (2022-03-24)

**Note:** Version bump only for package @medipass/web-sdk

## [11.24.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.24.4...@medipass/web-sdk@11.24.5) (2022-03-24)

### Bug Fixes

- take serviceDateString and fallback to serviceDate when dispaying service item dates ([#631](https://github.com/medipass/medipass-web-sdk/issues/631)) ([f924c2f](https://github.com/medipass/medipass-web-sdk/commit/f924c2f))

## [11.24.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.24.3...@medipass/web-sdk@11.24.4) (2022-03-16)

**Note:** Version bump only for package @medipass/web-sdk

## [11.24.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.24.2...@medipass/web-sdk@11.24.3) (2022-03-08)

**Note:** Version bump only for package @medipass/web-sdk

## [11.24.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.24.1...@medipass/web-sdk@11.24.2) (2022-02-22)

### Bug Fixes

- **react-core, utils:** single date field calendar dropdown ([#619](https://github.com/medipass/medipass-web-sdk/issues/619)) ([ccb9670](https://github.com/medipass/medipass-web-sdk/commit/ccb9670))

## [11.24.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.24.0...@medipass/web-sdk@11.24.1) (2022-02-21)

**Note:** Version bump only for package @medipass/web-sdk

# [11.24.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.23.1...@medipass/web-sdk@11.24.0) (2022-02-10)

### Features

- **web-sdk:** create business transaction quote ([#616](https://github.com/medipass/medipass-web-sdk/issues/616)) ([989cec4](https://github.com/medipass/medipass-web-sdk/commit/989cec4))

## [11.23.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.23.0...@medipass/web-sdk@11.23.1) (2022-01-21)

**Note:** Version bump only for package @medipass/web-sdk

# [11.23.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.22.7...@medipass/web-sdk@11.23.0) (2022-01-18)

### Features

- nib ([#607](https://github.com/medipass/medipass-web-sdk/issues/607)) ([c017538](https://github.com/medipass/medipass-web-sdk/commit/c017538))

## [11.22.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.22.6...@medipass/web-sdk@11.22.7) (2021-12-22)

### Bug Fixes

- calculate totals ([#606](https://github.com/medipass/medipass-web-sdk/issues/606)) ([214c51b](https://github.com/medipass/medipass-web-sdk/commit/214c51b))

## [11.22.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.22.5...@medipass/web-sdk@11.22.6) (2021-12-22)

**Note:** Version bump only for package @medipass/web-sdk

## [11.22.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.22.4...@medipass/web-sdk@11.22.5) (2021-12-22)

### Bug Fixes

- api keys typo ([#604](https://github.com/medipass/medipass-web-sdk/issues/604)) ([b8ee0c4](https://github.com/medipass/medipass-web-sdk/commit/b8ee0c4))

## [11.22.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.22.3...@medipass/web-sdk@11.22.4) (2021-12-21)

**Note:** Version bump only for package @medipass/web-sdk

## [11.22.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.22.2...@medipass/web-sdk@11.22.3) (2021-12-17)

### Bug Fixes

- calculate item totals in services section ([#602](https://github.com/medipass/medipass-web-sdk/issues/602)) ([e6267fe](https://github.com/medipass/medipass-web-sdk/commit/e6267fe))

## [11.22.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.22.1...@medipass/web-sdk@11.22.2) (2021-12-15)

**Note:** Version bump only for package @medipass/web-sdk

## [11.22.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.22.0...@medipass/web-sdk@11.22.1) (2021-12-15)

### Bug Fixes

- calculate item totals and gst ([#600](https://github.com/medipass/medipass-web-sdk/issues/600)) ([af48c3a](https://github.com/medipass/medipass-web-sdk/commit/af48c3a))

# [11.22.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.21.3...@medipass/web-sdk@11.22.0) (2021-12-13)

### Features

- validation for service text dva and medicare ([#598](https://github.com/medipass/medipass-web-sdk/issues/598)) ([963f9a6](https://github.com/medipass/medipass-web-sdk/commit/963f9a6))

## [11.21.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.21.2...@medipass/web-sdk@11.21.3) (2021-12-01)

**Note:** Version bump only for package @medipass/web-sdk

## [11.21.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.21.1...@medipass/web-sdk@11.21.2) (2021-11-24)

**Note:** Version bump only for package @medipass/web-sdk

## [11.21.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.21.0...@medipass/web-sdk@11.21.1) (2021-11-24)

### Bug Fixes

- claim level cancellation for medicare pci and icare ([#595](https://github.com/medipass/medipass-web-sdk/issues/595)) ([cef21a7](https://github.com/medipass/medipass-web-sdk/commit/cef21a7))

# [11.21.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.20.0...@medipass/web-sdk@11.21.0) (2021-11-23)

### Features

- enable remove self checkout session payment methods ([#592](https://github.com/medipass/medipass-web-sdk/issues/592)) ([75af227](https://github.com/medipass/medipass-web-sdk/commit/75af227))

# [11.20.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.19.0...@medipass/web-sdk@11.20.0) (2021-11-18)

### Features

- parse provider number types in parseProviderSet ([#591](https://github.com/medipass/medipass-web-sdk/issues/591)) ([3d42062](https://github.com/medipass/medipass-web-sdk/commit/3d42062))

# [11.19.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.18.11...@medipass/web-sdk@11.19.0) (2021-11-16)

### Features

- **web-sdk, utils:** provider number types; staff types constant ([#588](https://github.com/medipass/medipass-web-sdk/issues/588)) ([ae814a7](https://github.com/medipass/medipass-web-sdk/commit/ae814a7))

## [11.18.11](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.18.10...@medipass/web-sdk@11.18.11) (2021-11-11)

### Bug Fixes

- remove web-sdk as dependency ([#585](https://github.com/medipass/medipass-web-sdk/issues/585)) ([dd6d8e1](https://github.com/medipass/medipass-web-sdk/commit/dd6d8e1))

## [11.18.10](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.18.9...@medipass/web-sdk@11.18.10) (2021-11-09)

**Note:** Version bump only for package @medipass/web-sdk

## [11.18.9](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.18.8...@medipass/web-sdk@11.18.9) (2021-11-04)

**Note:** Version bump only for package @medipass/web-sdk

## [11.18.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.18.7...@medipass/web-sdk@11.18.8) (2021-11-04)

### Bug Fixes

- service items quantity totals ([#581](https://github.com/medipass/medipass-web-sdk/issues/581)) ([b27ccae](https://github.com/medipass/medipass-web-sdk/commit/b27ccae))

## [11.18.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.18.6...@medipass/web-sdk@11.18.7) (2021-10-29)

### Bug Fixes

- comcare verify endpoint ([#577](https://github.com/medipass/medipass-web-sdk/issues/577)) ([e9aab21](https://github.com/medipass/medipass-web-sdk/commit/e9aab21))

## [11.18.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.18.5...@medipass/web-sdk@11.18.6) (2021-10-22)

**Note:** Version bump only for package @medipass/web-sdk

## [11.18.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.18.4...@medipass/web-sdk@11.18.5) (2021-10-22)

**Note:** Version bump only for package @medipass/web-sdk

## [11.18.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.18.3...@medipass/web-sdk@11.18.4) (2021-10-21)

**Note:** Version bump only for package @medipass/web-sdk

## [11.18.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.18.2...@medipass/web-sdk@11.18.3) (2021-10-15)

**Note:** Version bump only for package @medipass/web-sdk

## [11.18.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.18.1...@medipass/web-sdk@11.18.2) (2021-09-29)

**Note:** Version bump only for package @medipass/web-sdk

## [11.18.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.18.0...@medipass/web-sdk@11.18.1) (2021-09-01)

**Note:** Version bump only for package @medipass/web-sdk

# [11.18.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.17.3...@medipass/web-sdk@11.18.0) (2021-08-31)

### Features

- new provider set apis ([#557](https://github.com/medipass/medipass-web-sdk/issues/557)) ([238b853](https://github.com/medipass/medipass-web-sdk/commit/238b853))

## [11.17.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.17.2...@medipass/web-sdk@11.17.3) (2021-08-20)

**Note:** Version bump only for package @medipass/web-sdk

## [11.17.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.17.1...@medipass/web-sdk@11.17.2) (2021-08-19)

**Note:** Version bump only for package @medipass/web-sdk

## [11.17.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.17.0...@medipass/web-sdk@11.17.1) (2021-08-17)

**Note:** Version bump only for package @medipass/web-sdk

# [11.17.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.16.1...@medipass/web-sdk@11.17.0) (2021-08-12)

### Features

- **web-sdk:** verify comcare claim number ([#551](https://github.com/medipass/medipass-web-sdk/issues/551)) ([ee88ba8](https://github.com/medipass/medipass-web-sdk/commit/ee88ba8))

## [11.16.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.16.0...@medipass/web-sdk@11.16.1) (2021-08-10)

**Note:** Version bump only for package @medipass/web-sdk

# [11.16.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.15.3...@medipass/web-sdk@11.16.0) (2021-08-04)

### Features

- comcare ([#549](https://github.com/medipass/medipass-web-sdk/issues/549)) ([6e35d79](https://github.com/medipass/medipass-web-sdk/commit/6e35d79))

## [11.15.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.15.2...@medipass/web-sdk@11.15.3) (2021-07-26)

**Note:** Version bump only for package @medipass/web-sdk

## [11.15.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.15.1...@medipass/web-sdk@11.15.2) (2021-07-23)

**Note:** Version bump only for package @medipass/web-sdk

## [11.15.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.15.0...@medipass/web-sdk@11.15.1) (2021-07-21)

### Bug Fixes

- **utils:** stop sending user auth token to sentry ([#540](https://github.com/medipass/medipass-web-sdk/issues/540)) ([35582c2](https://github.com/medipass/medipass-web-sdk/commit/35582c2))

# [11.15.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.27...@medipass/web-sdk@11.15.0) (2021-07-07)

### Features

- **utils:** add sanitise url function ([#536](https://github.com/medipass/medipass-web-sdk/issues/536)) ([e3a8088](https://github.com/medipass/medipass-web-sdk/commit/e3a8088))

## [11.14.27](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.26...@medipass/web-sdk@11.14.27) (2021-06-10)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.26](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.25...@medipass/web-sdk@11.14.26) (2021-06-03)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.25](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.24...@medipass/web-sdk@11.14.25) (2021-05-26)

### Bug Fixes

- improved date checker ([#528](https://github.com/medipass/medipass-web-sdk/issues/528)) ([308198c](https://github.com/medipass/medipass-web-sdk/commit/308198c))

## [11.14.24](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.23...@medipass/web-sdk@11.14.24) (2021-04-28)

### Bug Fixes

- analytics initialisation ([#516](https://github.com/medipass/medipass-web-sdk/issues/516)) ([f766c15](https://github.com/medipass/medipass-web-sdk/commit/f766c15))

## [11.14.23](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.22...@medipass/web-sdk@11.14.23) (2021-04-14)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.22](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.21...@medipass/web-sdk@11.14.22) (2021-04-08)

### Bug Fixes

- reduce excessive api calls ([#509](https://github.com/medipass/medipass-web-sdk/issues/509)) ([99b9ccd](https://github.com/medipass/medipass-web-sdk/commit/99b9ccd))

## [11.14.21](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.20...@medipass/web-sdk@11.14.21) (2021-03-31)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.20](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.19...@medipass/web-sdk@11.14.20) (2021-03-30)

### Bug Fixes

- add opts param to passProviderRegistrations function ([#506](https://github.com/medipass/medipass-web-sdk/issues/506)) ([d9ee460](https://github.com/medipass/medipass-web-sdk/commit/d9ee460))

## [11.14.19](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.18...@medipass/web-sdk@11.14.19) (2021-03-30)

### Bug Fixes

- assign default to parameters - providerRegistrationTypes ([#505](https://github.com/medipass/medipass-web-sdk/issues/505)) ([2b2262a](https://github.com/medipass/medipass-web-sdk/commit/2b2262a))

## [11.14.18](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.17...@medipass/web-sdk@11.14.18) (2021-03-29)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.17](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.16...@medipass/web-sdk@11.14.17) (2021-03-28)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.16](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.15...@medipass/web-sdk@11.14.16) (2021-03-24)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.15](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.14...@medipass/web-sdk@11.14.15) (2021-03-24)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.14](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.13...@medipass/web-sdk@11.14.14) (2021-03-24)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.13](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.12...@medipass/web-sdk@11.14.13) (2021-03-04)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.12](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.11...@medipass/web-sdk@11.14.12) (2021-02-18)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.11](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.10...@medipass/web-sdk@11.14.11) (2021-01-22)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.10](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.9...@medipass/web-sdk@11.14.10) (2021-01-15)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.9](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.8...@medipass/web-sdk@11.14.9) (2021-01-07)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.7...@medipass/web-sdk@11.14.8) (2020-12-17)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.6...@medipass/web-sdk@11.14.7) (2020-12-16)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.5...@medipass/web-sdk@11.14.6) (2020-12-04)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.4...@medipass/web-sdk@11.14.5) (2020-12-01)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.3...@medipass/web-sdk@11.14.4) (2020-11-20)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.2...@medipass/web-sdk@11.14.3) (2020-11-18)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.2...@medipass/web-sdk@11.14.2) (2020-11-18)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.1...@medipass/web-sdk@11.14.2) (2020-11-17)

**Note:** Version bump only for package @medipass/web-sdk

## [11.14.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.14.0...@medipass/web-sdk@11.14.1) (2020-11-04)

**Note:** Version bump only for package @medipass/web-sdk

# [11.14.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.13.1...@medipass/web-sdk@11.14.0) (2020-10-30)

### Features

- **react-core, ui-kit, utils, web-sdk:** Update date-fns ([7fe9760](https://github.com/medipass/medipass-web-sdk/commit/7fe9760))

## [11.13.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.13.0...@medipass/web-sdk@11.13.1) (2020-10-29)

**Note:** Version bump only for package @medipass/web-sdk

# [11.13.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.12.0...@medipass/web-sdk@11.13.0) (2020-10-29)

### Features

- **utils:** service item quantity with isExtendedPrice attribute ([#436](https://github.com/medipass/medipass-web-sdk/issues/436)) ([5d509c4](https://github.com/medipass/medipass-web-sdk/commit/5d509c4))

# [11.12.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.11.0...@medipass/web-sdk@11.12.0) (2020-10-28)

### Features

- **react-core:** Migrate to Bumbag Typography ([#429](https://github.com/medipass/medipass-web-sdk/issues/429)) ([d809910](https://github.com/medipass/medipass-web-sdk/commit/d809910))

# [11.11.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.10.5...@medipass/web-sdk@11.11.0) (2020-10-27)

### Features

- **react-core:** Migrate to Bumbag Heading ([#431](https://github.com/medipass/medipass-web-sdk/issues/431)) ([eda309e](https://github.com/medipass/medipass-web-sdk/commit/eda309e))

# [11.10.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.10.5...@medipass/web-sdk@11.10.0) (2020-10-22)

### Features

- **react-core:** Migrate to Bumbag Heading ([#431](https://github.com/medipass/medipass-web-sdk/issues/431)) ([eda309e](https://github.com/medipass/medipass-web-sdk/commit/eda309e))

## [11.10.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.10.4...@medipass/web-sdk@11.10.5) (2020-10-21)

**Note:** Version bump only for package @medipass/web-sdk

## [11.10.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.10.3...@medipass/web-sdk@11.10.4) (2020-10-20)

**Note:** Version bump only for package @medipass/web-sdk

## [11.10.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.10.2...@medipass/web-sdk@11.10.3) (2020-10-20)

**Note:** Version bump only for package @medipass/web-sdk

## [11.10.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.10.1...@medipass/web-sdk@11.10.2) (2020-10-19)

**Note:** Version bump only for package @medipass/web-sdk

## [11.10.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.10.0...@medipass/web-sdk@11.10.1) (2020-10-18)

**Note:** Version bump only for package @medipass/web-sdk

# [11.10.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.9.2...@medipass/web-sdk@11.10.0) (2020-10-14)

### Features

- **web-sdk:** Business funder settings endpoints ([#425](https://github.com/medipass/medipass-web-sdk/issues/425)) ([1120020](https://github.com/medipass/medipass-web-sdk/commit/1120020))

## [11.9.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.9.1...@medipass/web-sdk@11.9.2) (2020-10-14)

**Note:** Version bump only for package @medipass/web-sdk

## [11.9.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.9.0...@medipass/web-sdk@11.9.1) (2020-10-06)

**Note:** Version bump only for package @medipass/web-sdk

# [11.9.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.8.2...@medipass/web-sdk@11.9.0) (2020-10-01)

### Features

- **react-core, ui-kit:** Migrate primitives to Bumbag ([#411](https://github.com/medipass/medipass-web-sdk/issues/411)) ([97d4e2f](https://github.com/medipass/medipass-web-sdk/commit/97d4e2f))

## [11.8.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.8.1...@medipass/web-sdk@11.8.2) (2020-09-30)

**Note:** Version bump only for package @medipass/web-sdk

## [11.8.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.8.0...@medipass/web-sdk@11.8.1) (2020-09-28)

### Bug Fixes

- **web-sdk:** fix csv upload for windows ([dbb0288](https://github.com/medipass/medipass-web-sdk/commit/dbb0288))

# [11.8.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.7.5...@medipass/web-sdk@11.8.0) (2020-09-22)

### Features

- **web-sdk:** Bulk uploads ([#415](https://github.com/medipass/medipass-web-sdk/issues/415)) ([6aec033](https://github.com/medipass/medipass-web-sdk/commit/6aec033))

## [11.7.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.7.4...@medipass/web-sdk@11.7.5) (2020-09-18)

**Note:** Version bump only for package @medipass/web-sdk

## [11.7.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.7.3...@medipass/web-sdk@11.7.4) (2020-09-11)

### Bug Fixes

- add token type for verify member ([052b0b4](https://github.com/medipass/medipass-web-sdk/commit/052b0b4))

## [11.7.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.7.2...@medipass/web-sdk@11.7.3) (2020-09-03)

**Note:** Version bump only for package @medipass/web-sdk

## [11.7.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.7.1...@medipass/web-sdk@11.7.2) (2020-09-03)

**Note:** Version bump only for package @medipass/web-sdk

## [11.7.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.7.0...@medipass/web-sdk@11.7.1) (2020-09-01)

### Enhancements

- **web-sdk:** verify member by health fund call ([#409](https://github.com/medipass/medipass-web-sdk/issues/409)) ([931c348](https://github.com/medipass/medipass-web-sdk/commit/931c348))

# [11.7.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.6.0...@medipass/web-sdk@11.7.0) (2020-08-31)

### Features

- **web-sdk:** Add logs ([bb95c15](https://github.com/medipass/medipass-web-sdk/commit/bb95c15))

# [11.6.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.5.0...@medipass/web-sdk@11.6.0) (2020-08-26)

### Features

- **react-core:** Revised My Medipass checkout components ([#407](https://github.com/medipass/medipass-web-sdk/issues/407)) ([3293cd1](https://github.com/medipass/medipass-web-sdk/commit/3293cd1))

# [11.5.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.4.0...@medipass/web-sdk@11.5.0) (2020-08-21)

### Features

- **react-core, web-sdk:** Draft invoices ([#406](https://github.com/medipass/medipass-web-sdk/issues/406)) ([54639aa](https://github.com/medipass/medipass-web-sdk/commit/54639aa))

# [11.4.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.3.7...@medipass/web-sdk@11.4.0) (2020-08-21)

### Features

- **utils:** Internationalization foundation ([#405](https://github.com/medipass/medipass-web-sdk/issues/405)) ([706eb00](https://github.com/medipass/medipass-web-sdk/commit/706eb00))

## [11.3.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.3.7...@medipass/web-sdk@11.3.8) (2020-08-20)

**Note:** Version bump only for package @medipass/web-sdk

## [11.3.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.3.6...@medipass/web-sdk@11.3.7) (2020-08-06)

**Note:** Version bump only for package @medipass/web-sdk

## [11.3.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.3.5...@medipass/web-sdk@11.3.6) (2020-08-06)

### Enhancements

- **web-sdk:** Add verify medicare endpoint ([1a202c9](https://github.com/medipass/medipass-web-sdk/commit/1a202c9))

## [11.3.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.3.4...@medipass/web-sdk@11.3.5) (2020-08-05)

**Note:** Version bump only for package @medipass/web-sdk

## [11.3.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.3.3...@medipass/web-sdk@11.3.4) (2020-08-05)

**Note:** Version bump only for package @medipass/web-sdk

## [11.3.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.3.2...@medipass/web-sdk@11.3.3) (2020-08-05)

**Note:** Version bump only for package @medipass/web-sdk

## [11.3.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.3.1...@medipass/web-sdk@11.3.2) (2020-08-05)

**Note:** Version bump only for package @medipass/web-sdk

## [11.3.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.3.0...@medipass/web-sdk@11.3.1) (2020-08-05)

### Enhancements

- **web-sdk:** Add util to get user region ([ee6892f](https://github.com/medipass/medipass-web-sdk/commit/ee6892f))

# [11.3.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.2.8...@medipass/web-sdk@11.3.0) (2020-08-04)

### Features

- **web-sdk:** Add region support to the SDK ([a5064c7](https://github.com/medipass/medipass-web-sdk/commit/a5064c7))

## [11.2.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.2.7...@medipass/web-sdk@11.2.8) (2020-07-14)

**Note:** Version bump only for package @medipass/web-sdk

## [11.2.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.2.6...@medipass/web-sdk@11.2.7) (2020-07-12)

**Note:** Version bump only for package @medipass/web-sdk

## [11.2.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.2.5...@medipass/web-sdk@11.2.6) (2020-07-07)

### Enhancements

- **web-sdk:** Add createShortLivedToken method ([cef251a](https://github.com/medipass/medipass-web-sdk/commit/cef251a))

## [11.2.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.2.4...@medipass/web-sdk@11.2.5) (2020-07-01)

**Note:** Version bump only for package @medipass/web-sdk

## [11.2.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.2.3...@medipass/web-sdk@11.2.4) (2020-06-29)

### Bug Fixes

- create app endpoint ([#398](https://github.com/medipass/medipass-web-sdk/issues/398)) ([c250820](https://github.com/medipass/medipass-web-sdk/commit/c250820))

## [11.2.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.2.2...@medipass/web-sdk@11.2.3) (2020-06-29)

### Enhancements

- **web-sdk:** create app endpoint ([#397](https://github.com/medipass/medipass-web-sdk/issues/397)) ([40fc713](https://github.com/medipass/medipass-web-sdk/commit/40fc713))

## [11.2.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.2.1...@medipass/web-sdk@11.2.2) (2020-06-23)

**Note:** Version bump only for package @medipass/web-sdk

## [11.2.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.2.0...@medipass/web-sdk@11.2.1) (2020-06-22)

### Enhancements

- **utils:** added in pms constants ([#393](https://github.com/medipass/medipass-web-sdk/issues/393)) ([be00382](https://github.com/medipass/medipass-web-sdk/commit/be00382))

# [11.2.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.1.5...@medipass/web-sdk@11.2.0) (2020-06-22)

### Features

- **react-core, web-sdk:** Refunds ([#392](https://github.com/medipass/medipass-web-sdk/issues/392)) ([348b57f](https://github.com/medipass/medipass-web-sdk/commit/348b57f))

## [11.1.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.1.4...@medipass/web-sdk@11.1.5) (2020-06-10)

**Note:** Version bump only for package @medipass/web-sdk

## [11.1.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.1.3...@medipass/web-sdk@11.1.4) (2020-06-04)

### Enhancements

- **web-sdk:** Add onboarding applications resource ([02e14ae](https://github.com/medipass/medipass-web-sdk/commit/02e14ae))

## [11.1.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.1.2...@medipass/web-sdk@11.1.3) (2020-06-03)

### Bug Fixes

- kyc practice verify to accept payload body ([#387](https://github.com/medipass/medipass-web-sdk/issues/387)) ([7de3ceb](https://github.com/medipass/medipass-web-sdk/commit/7de3ceb))

## [11.1.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.1.1...@medipass/web-sdk@11.1.2) (2020-05-27)

### Enhancements

- **web-sdk:** kyc web sdk practice get/verify/unverify ([#386](https://github.com/medipass/medipass-web-sdk/issues/386)) ([885c115](https://github.com/medipass/medipass-web-sdk/commit/885c115))

## [11.1.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.1.0...@medipass/web-sdk@11.1.1) (2020-05-26)

### Enhancements

- **web-sdk:** Add new cancels API ([191120c](https://github.com/medipass/medipass-web-sdk/commit/191120c))

# [11.1.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@11.0.0...@medipass/web-sdk@11.1.0) (2020-05-13)

### Features

- **react-core, web-sdk, utils:** Payment Holds (& Futures) ([#379](https://github.com/medipass/medipass-web-sdk/issues/379)) ([e82c427](https://github.com/medipass/medipass-web-sdk/commit/e82c427))

# [11.0.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.43.0...@medipass/web-sdk@11.0.0) (2020-05-08)

- BREAKING CHANGE(web-sdk): changing getTransactionByTransactionId signature to … (#382) ([95b49dc](https://github.com/medipass/medipass-web-sdk/commit/95b49dc)), closes [#382](https://github.com/medipass/medipass-web-sdk/issues/382)

### BREAKING CHANGES

- changing getTransactionByTransactionId signature to include deleted params

- fix broken tests

- fix broken test

# [10.43.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.18-utils-11.39.17.0...@medipass/web-sdk@10.43.0) (2020-05-07)

### Enhancements

- **react-core:** Payment Links ([#375](https://github.com/medipass/medipass-web-sdk/issues/375)) ([6d72259](https://github.com/medipass/medipass-web-sdk/commit/6d72259))
- **web-sdk:** add business send email endpoint ([#371](https://github.com/medipass/medipass-web-sdk/issues/371)) ([1d82b5b](https://github.com/medipass/medipass-web-sdk/commit/1d82b5b))
- **web-sdk:** add payment links endpoint ([#374](https://github.com/medipass/medipass-web-sdk/issues/374)) ([cbabf73](https://github.com/medipass/medipass-web-sdk/commit/cbabf73))

### Features

- **react-core, utils:** New My Medipass Checkout designs ([#372](https://github.com/medipass/medipass-web-sdk/issues/372)) ([bae7a3c](https://github.com/medipass/medipass-web-sdk/commit/bae7a3c))

## [10.42.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.42.5...@medipass/web-sdk@10.42.6) (2020-05-06)

### Enhancements

- **web-sdk:** add business send email endpoint ([#371](https://github.com/medipass/medipass-web-sdk/issues/371)) ([1d82b5b](https://github.com/medipass/medipass-web-sdk/commit/1d82b5b))

## [10.42.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.42.4...@medipass/web-sdk@10.42.5) (2020-05-04)

**Note:** Version bump only for package @medipass/web-sdk

## [10.42.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.42.3...@medipass/web-sdk@10.42.4) (2020-05-01)

**Note:** Version bump only for package @medipass/web-sdk

## [10.42.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.42.2...@medipass/web-sdk@10.42.3) (2020-04-30)

### Enhancements

- **react-core:** Payment Links ([#375](https://github.com/medipass/medipass-web-sdk/issues/375)) ([6d72259](https://github.com/medipass/medipass-web-sdk/commit/6d72259))

## [10.42.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.42.1...@medipass/web-sdk@10.42.2) (2020-04-28)

### Enhancements

- **web-sdk:** add payment links endpoint ([#374](https://github.com/medipass/medipass-web-sdk/issues/374)) ([cbabf73](https://github.com/medipass/medipass-web-sdk/commit/cbabf73))

## [10.42.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.42.0...@medipass/web-sdk@10.42.1) (2020-04-28)

**Note:** Version bump only for package @medipass/web-sdk

# [10.42.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.17...@medipass/web-sdk@10.42.0) (2020-04-23)

### Features

- **react-core, utils:** New My Medipass Checkout designs ([#372](https://github.com/medipass/medipass-web-sdk/issues/372)) ([bae7a3c](https://github.com/medipass/medipass-web-sdk/commit/bae7a3c))

## [10.41.17](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.16...@medipass/web-sdk@10.41.17) (2020-04-20)

**Note:** Version bump only for package @medipass/web-sdk

## [10.41.16](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.14...@medipass/web-sdk@10.41.16) (2020-04-20)

**Note:** Version bump only for package @medipass/web-sdk

## [10.41.15](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.14...@medipass/web-sdk@10.41.15) (2020-04-20)

**Note:** Version bump only for package @medipass/web-sdk

## [10.41.14](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.13...@medipass/web-sdk@10.41.14) (2020-04-19)

**Note:** Version bump only for package @medipass/web-sdk

## [10.41.13](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.12...@medipass/web-sdk@10.41.13) (2020-04-19)

### Bug Fixes

- **web-sdk:** Fix google merchant id ([35554c1](https://github.com/medipass/medipass-web-sdk/commit/35554c1))

## [10.41.12](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.11...@medipass/web-sdk@10.41.12) (2020-04-17)

### Enhancements

- **web-sdk:** ability to add and remove beneficial owners for a business ([#366](https://github.com/medipass/medipass-web-sdk/issues/366)) ([95e496a](https://github.com/medipass/medipass-web-sdk/commit/95e496a))

## [10.41.11](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.10...@medipass/web-sdk@10.41.11) (2020-04-15)

**Note:** Version bump only for package @medipass/web-sdk

## [10.41.10](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.9...@medipass/web-sdk@10.41.10) (2020-04-15)

**Note:** Version bump only for package @medipass/web-sdk

## [10.41.9](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.8...@medipass/web-sdk@10.41.9) (2020-04-14)

**Note:** Version bump only for package @medipass/web-sdk

## [10.41.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.7...@medipass/web-sdk@10.41.8) (2020-04-14)

**Note:** Version bump only for package @medipass/web-sdk

## [10.41.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.6...@medipass/web-sdk@10.41.7) (2020-04-13)

### Enhancements

- **web-sdk:** verify claim number ([#364](https://github.com/medipass/medipass-web-sdk/issues/364)) ([5062bb2](https://github.com/medipass/medipass-web-sdk/commit/5062bb2))

## [10.41.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.5...@medipass/web-sdk@10.41.6) (2020-04-09)

**Note:** Version bump only for package @medipass/web-sdk

## [10.41.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.4...@medipass/web-sdk@10.41.5) (2020-04-09)

### Bug Fixes

- **utils:** icare item amounts ([#363](https://github.com/medipass/medipass-web-sdk/issues/363)) ([643ccf4](https://github.com/medipass/medipass-web-sdk/commit/643ccf4))

## [10.41.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.3...@medipass/web-sdk@10.41.4) (2020-04-07)

**Note:** Version bump only for package @medipass/web-sdk

## [10.41.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.2...@medipass/web-sdk@10.41.3) (2020-04-07)

### Enhancements

- **web-sdk:** Add updateClaim method ([a42ed0d](https://github.com/medipass/medipass-web-sdk/commit/a42ed0d))

## [10.41.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.1...@medipass/web-sdk@10.41.2) (2020-04-06)

**Note:** Version bump only for package @medipass/web-sdk

## [10.41.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.41.0...@medipass/web-sdk@10.41.1) (2020-04-01)

**Note:** Version bump only for package @medipass/web-sdk

# [10.41.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.40.8...@medipass/web-sdk@10.41.0) (2020-04-01)

### Features

- **web-sdk, react-core, utils:** Google/Apple pay ([#358](https://github.com/medipass/medipass-web-sdk/issues/358)) ([c1d16a2](https://github.com/medipass/medipass-web-sdk/commit/c1d16a2))

## [10.40.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.40.8-feature-ndis-email-packages.0...@medipass/web-sdk@10.40.8) (2020-03-30)

**Note:** Version bump only for package @medipass/web-sdk

## [10.40.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.40.6...@medipass/web-sdk@10.40.7) (2020-03-23)

### Enhancements

- **web-sdk:** Add getPaymentMethods for self checkout session ([47a645f](https://github.com/medipass/medipass-web-sdk/commit/47a645f))

## [10.40.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.40.5...@medipass/web-sdk@10.40.6) (2020-03-22)

**Note:** Version bump only for package @medipass/web-sdk

## [10.40.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.40.4...@medipass/web-sdk@10.40.5) (2020-03-19)

**Note:** Version bump only for package @medipass/web-sdk

## [10.40.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.40.3...@medipass/web-sdk@10.40.4) (2020-03-12)

**Note:** Version bump only for package @medipass/web-sdk

## [10.40.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.40.2...@medipass/web-sdk@10.40.3) (2020-03-10)

**Note:** Version bump only for package @medipass/web-sdk

## [10.40.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.40.1...@medipass/web-sdk@10.40.2) (2020-02-24)

**Note:** Version bump only for package @medipass/web-sdk

## [10.40.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.40.0...@medipass/web-sdk@10.40.1) (2020-02-24)

**Note:** Version bump only for package @medipass/web-sdk

# [10.40.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.39.1...@medipass/web-sdk@10.40.0) (2020-02-20)

### Features

- **web-sdk:** Add Braintree payment support ([#349](https://github.com/medipass/medipass-web-sdk/issues/349)) ([7315d8e](https://github.com/medipass/medipass-web-sdk/commit/7315d8e))

## [10.39.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.39.0...@medipass/web-sdk@10.39.1) (2020-02-19)

**Note:** Version bump only for package @medipass/web-sdk

# [10.39.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.38.8...@medipass/web-sdk@10.39.0) (2020-02-19)

### Enhancements

- **web-sdk:** Add URLs for performance testing environment ([#347](https://github.com/medipass/medipass-web-sdk/issues/347)) ([80d5ddf](https://github.com/medipass/medipass-web-sdk/commit/80d5ddf))

### Features

- **react-core:** Add scheduled downtime page & unplanned downtime banner ([#346](https://github.com/medipass/medipass-web-sdk/issues/346)) ([d0435b6](https://github.com/medipass/medipass-web-sdk/commit/d0435b6))

## [10.38.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.38.7...@medipass/web-sdk@10.38.8) (2020-02-14)

### Enhancements

- **web-sdk:** Add x-sdkver header ([#344](https://github.com/medipass/medipass-web-sdk/issues/344)) ([1a416b4](https://github.com/medipass/medipass-web-sdk/commit/1a416b4))

## [10.38.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.38.6...@medipass/web-sdk@10.38.7) (2020-02-14)

**Note:** Version bump only for package @medipass/web-sdk

## [10.38.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.38.5...@medipass/web-sdk@10.38.6) (2020-02-13)

**Note:** Version bump only for package @medipass/web-sdk

## [10.38.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.38.4...@medipass/web-sdk@10.38.5) (2020-02-13)

**Note:** Version bump only for package @medipass/web-sdk

## [10.38.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.38.3...@medipass/web-sdk@10.38.4) (2020-02-11)

**Note:** Version bump only for package @medipass/web-sdk

## [10.38.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.38.2...@medipass/web-sdk@10.38.3) (2020-02-10)

**Note:** Version bump only for package @medipass/web-sdk

## [10.38.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.38.1...@medipass/web-sdk@10.38.2) (2020-02-10)

**Note:** Version bump only for package @medipass/web-sdk

## [10.38.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.38.0...@medipass/web-sdk@10.38.1) (2020-02-07)

**Note:** Version bump only for package @medipass/web-sdk

# [10.38.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.37.1...@medipass/web-sdk@10.38.0) (2020-02-07)

### Features

- **react-core, utils, web-sdk:** Unify build tooling across all packages ([#341](https://github.com/medipass/medipass-web-sdk/issues/341)) ([35a44f3](https://github.com/medipass/medipass-web-sdk/commit/35a44f3))

## [10.37.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.37.0...@medipass/web-sdk@10.37.1) (2020-02-06)

**Note:** Version bump only for package @medipass/web-sdk

# [10.37.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.35.5-29b91326.0...@medipass/web-sdk@10.37.0) (2020-02-06)

### Enhancements

- **web-sdk:** add transaction delete endpoint ([#335](https://github.com/medipass/medipass-web-sdk/issues/335)) ([585fd34](https://github.com/medipass/medipass-web-sdk/commit/585fd34))

### Features

- **utils, web-sdk:** Update sentry ([#337](https://github.com/medipass/medipass-web-sdk/issues/337)) ([76c43e9](https://github.com/medipass/medipass-web-sdk/commit/76c43e9))

# [10.36.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.35.5...@medipass/web-sdk@10.36.0) (2020-02-04)

### Features

- **utils, web-sdk:** Update sentry ([#337](https://github.com/medipass/medipass-web-sdk/issues/337)) ([76c43e9](https://github.com/medipass/medipass-web-sdk/commit/76c43e9))

## [10.35.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.35.4...@medipass/web-sdk@10.35.5) (2020-01-31)

### Enhancements

- **web-sdk:** add transaction delete endpoint ([#335](https://github.com/medipass/medipass-web-sdk/issues/335)) ([585fd34](https://github.com/medipass/medipass-web-sdk/commit/585fd34))

## [10.35.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.35.3...@medipass/web-sdk@10.35.4) (2020-01-28)

### Enhancements

- **react-core, web-sdk:** icare remittance ([#330](https://github.com/medipass/medipass-web-sdk/issues/330)) ([3660790](https://github.com/medipass/medipass-web-sdk/commit/3660790))

## [10.35.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.35.2...@medipass/web-sdk@10.35.3) (2020-01-21)

**Note:** Version bump only for package @medipass/web-sdk

## [10.35.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.35.1...@medipass/web-sdk@10.35.2) (2020-01-20)

### Enhancements

- **web-sdk:** Add approveClaim ([bcea0f2](https://github.com/medipass/medipass-web-sdk/commit/bcea0f2))

## [10.35.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.35.0...@medipass/web-sdk@10.35.1) (2020-01-19)

**Note:** Version bump only for package @medipass/web-sdk

# [10.35.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.34.4...@medipass/web-sdk@10.35.0) (2020-01-17)

### Features

- **react-core, web-sdk:** HICAPS v3 ([#326](https://github.com/medipass/medipass-web-sdk/issues/326)) ([af8f89c](https://github.com/medipass/medipass-web-sdk/commit/af8f89c))

## [10.34.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.34.3...@medipass/web-sdk@10.34.4) (2020-01-16)

**Note:** Version bump only for package @medipass/web-sdk

## [10.34.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.34.2...@medipass/web-sdk@10.34.3) (2020-01-14)

### Bug Fixes

- **web-sdk:** Use patient instead of member on self checkout session ([d439618](https://github.com/medipass/medipass-web-sdk/commit/d439618))

## [10.34.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.34.1...@medipass/web-sdk@10.34.2) (2020-01-13)

### Enhancements

- **react-core:** icare - cancel invoice ([#324](https://github.com/medipass/medipass-web-sdk/issues/324)) ([eaa2ddc](https://github.com/medipass/medipass-web-sdk/commit/eaa2ddc))

## [10.34.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.34.0...@medipass/web-sdk@10.34.1) (2020-01-08)

### Enhancements

- **web-sdk, react-core:** New transaction PDF endpoints ([#322](https://github.com/medipass/medipass-web-sdk/issues/322)) ([c00d874](https://github.com/medipass/medipass-web-sdk/commit/c00d874))

# [10.34.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.33.0...@medipass/web-sdk@10.34.0) (2020-01-07)

### Features

- **react-core:** Changes for Medicare v3 ([#321](https://github.com/medipass/medipass-web-sdk/issues/321)) ([aaa5a34](https://github.com/medipass/medipass-web-sdk/commit/aaa5a34))

# [10.33.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.32.15...@medipass/web-sdk@10.33.0) (2020-01-06)

### Features

- **react-core:** Migrate to NDIS v3 ([#317](https://github.com/medipass/medipass-web-sdk/issues/317)) ([ab6876f](https://github.com/medipass/medipass-web-sdk/commit/ab6876f))

## [10.32.15](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.32.14...@medipass/web-sdk@10.32.15) (2019-12-16)

### Enhancements

- **web-sdk:** kyc request support ([#314](https://github.com/medipass/medipass-web-sdk/issues/314)) ([268690b](https://github.com/medipass/medipass-web-sdk/commit/268690b))

## [10.32.14](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.32.13...@medipass/web-sdk@10.32.14) (2019-12-15)

**Note:** Version bump only for package @medipass/web-sdk

## [10.32.13](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.32.12...@medipass/web-sdk@10.32.13) (2019-12-15)

### Enhancements

- **utils:** Add geocodeAddress function ([#308](https://github.com/medipass/medipass-web-sdk/issues/308)) ([3687eeb](https://github.com/medipass/medipass-web-sdk/commit/3687eeb))

## [10.32.12](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.32.11...@medipass/web-sdk@10.32.12) (2019-12-11)

### Enhancements

- **react-core:** Add new transaction statuses ([#307](https://github.com/medipass/medipass-web-sdk/issues/307)) ([c621b8e](https://github.com/medipass/medipass-web-sdk/commit/c621b8e))

## [10.32.11](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.32.10...@medipass/web-sdk@10.32.11) (2019-12-06)

**Note:** Version bump only for package @medipass/web-sdk

## [10.32.10](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.32.9...@medipass/web-sdk@10.32.10) (2019-11-15)

**Note:** Version bump only for package @medipass/web-sdk

## [10.32.9](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.32.8...@medipass/web-sdk@10.32.9) (2019-11-14)

**Note:** Version bump only for package @medipass/web-sdk

## [10.32.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.32.7...@medipass/web-sdk@10.32.8) (2019-11-07)

### Enhancements

- **react-core:** Add component to display warning message if cookies are disabled ([#294](https://github.com/medipass/medipass-web-sdk/issues/294)) ([d14822a](https://github.com/medipass/medipass-web-sdk/commit/d14822a))

## [10.32.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.32.6...@medipass/web-sdk@10.32.7) (2019-10-25)

**Note:** Version bump only for package @medipass/web-sdk

## [10.32.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.32.5...@medipass/web-sdk@10.32.6) (2019-10-24)

**Note:** Version bump only for package @medipass/web-sdk

## [10.32.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.32.4...@medipass/web-sdk@10.32.5) (2019-10-24)

**Note:** Version bump only for package @medipass/web-sdk

## [10.32.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.32.3...@medipass/web-sdk@10.32.4) (2019-10-21)

**Note:** Version bump only for package @medipass/web-sdk

## [10.32.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.32.2...@medipass/web-sdk@10.32.3) (2019-10-16)

### Bug Fixes

- **react-core:** Guard axios ([525ae0f](https://github.com/medipass/medipass-web-sdk/commit/525ae0f))

## [10.32.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.32.1...@medipass/web-sdk@10.32.2) (2019-10-15)

**Note:** Version bump only for package @medipass/web-sdk

## [10.32.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.32.0...@medipass/web-sdk@10.32.1) (2019-10-14)

### Enhancements

- **react-core:** Add DVA distance travelled to service items ([#280](https://github.com/medipass/medipass-web-sdk/issues/280)) ([f580576](https://github.com/medipass/medipass-web-sdk/commit/f580576))

# [10.32.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.31.0...@medipass/web-sdk@10.32.0) (2019-10-14)

### Features

- **react-core:** Create DVA claim ([#279](https://github.com/medipass/medipass-web-sdk/issues/279)) ([d12d92d](https://github.com/medipass/medipass-web-sdk/commit/d12d92d))

# [10.31.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.30.0...@medipass/web-sdk@10.31.0) (2019-10-11)

### Features

- **react-core:** Invoice summary modules - Invoice Framework ([#269](https://github.com/medipass/medipass-web-sdk/issues/269)) ([2330f95](https://github.com/medipass/medipass-web-sdk/commit/2330f95))

# [10.30.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.29.0...@medipass/web-sdk@10.30.0) (2019-10-10)

### Features

- **react-core:** Add stuff for refreshed onboarding ([#271](https://github.com/medipass/medipass-web-sdk/issues/271)) ([fa35935](https://github.com/medipass/medipass-web-sdk/commit/fa35935))

# [10.29.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.28.8...@medipass/web-sdk@10.29.0) (2019-10-08)

### Features

- **web-sdk:** Add v3 transaction endpoints ([#273](https://github.com/medipass/medipass-web-sdk/issues/273)) ([0bea2f7](https://github.com/medipass/medipass-web-sdk/commit/0bea2f7))

## [10.28.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.28.7...@medipass/web-sdk@10.28.8) (2019-10-05)

### Enhancements

- **web-sdk:** Change patient ref id shit ([5a32017](https://github.com/medipass/medipass-web-sdk/commit/5a32017))

## [10.28.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.28.6...@medipass/web-sdk@10.28.7) (2019-10-04)

### Enhancements

- **web-sdk:** Add method to get business patient by ref id ([d3300c1](https://github.com/medipass/medipass-web-sdk/commit/d3300c1))

## [10.28.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.28.5...@medipass/web-sdk@10.28.6) (2019-10-02)

**Note:** Version bump only for package @medipass/web-sdk

## [10.28.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.28.4...@medipass/web-sdk@10.28.5) (2019-09-11)

### Bug Fixes

- **react-core:** future date validation ([#266](https://github.com/medipass/medipass-web-sdk/issues/266)) ([057b0f9](https://github.com/medipass/medipass-web-sdk/commit/057b0f9))

## [10.28.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.28.3...@medipass/web-sdk@10.28.4) (2019-09-10)

### Enhancements

- **web-sdk:** Add support for business onboarding questions ([#265](https://github.com/medipass/medipass-web-sdk/issues/265)) ([5092102](https://github.com/medipass/medipass-web-sdk/commit/5092102))

## [10.28.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.28.2...@medipass/web-sdk@10.28.3) (2019-09-09)

**Note:** Version bump only for package @medipass/web-sdk

## [10.28.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.28.1...@medipass/web-sdk@10.28.2) (2019-09-09)

**Note:** Version bump only for package @medipass/web-sdk

## [10.28.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.28.0...@medipass/web-sdk@10.28.1) (2019-09-09)

### Enhancements

- **web-sdk:** Update subscription type ([c86c186](https://github.com/medipass/medipass-web-sdk/commit/c86c186))

# [10.28.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.27.1...@medipass/web-sdk@10.28.0) (2019-09-05)

### Features

- **react-core:** New log in screen ([#262](https://github.com/medipass/medipass-web-sdk/issues/262)) ([60b37d2](https://github.com/medipass/medipass-web-sdk/commit/60b37d2))

## [10.27.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.27.0...@medipass/web-sdk@10.27.1) (2019-09-03)

**Note:** Version bump only for package @medipass/web-sdk

# [10.27.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.26.3...@medipass/web-sdk@10.27.0) (2019-09-02)

### Features

- **react-core, ui-kit, web-sdk:** Add stuff for Medicare Onboarding ([#260](https://github.com/medipass/medipass-web-sdk/issues/260)) ([c417e01](https://github.com/medipass/medipass-web-sdk/commit/c417e01))

## [10.26.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.26.2...@medipass/web-sdk@10.26.3) (2019-08-30)

### Enhancements

- **web-sdk, react-core, utils:** Update to new business clienttoken endpoint & copy changes ([#259](https://github.com/medipass/medipass-web-sdk/issues/259)) ([9186ed3](https://github.com/medipass/medipass-web-sdk/commit/9186ed3))

## [10.26.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.26.1...@medipass/web-sdk@10.26.2) (2019-08-20)

**Note:** Version bump only for package @medipass/web-sdk

## [10.26.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.26.0...@medipass/web-sdk@10.26.1) (2019-08-14)

### Bug Fixes

- **react-core:** fallback to display name for non claimable items ([#256](https://github.com/medipass/medipass-web-sdk/issues/256)) ([eeadc32](https://github.com/medipass/medipass-web-sdk/commit/eeadc32))

# [10.26.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.25.0...@medipass/web-sdk@10.26.0) (2019-08-13)

### Features

- **utils:** Add payment options utils ([e2a98b5](https://github.com/medipass/medipass-web-sdk/commit/e2a98b5))

# [10.25.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.24.5...@medipass/web-sdk@10.25.0) (2019-08-09)

### Features

- **web-sdk, react-core, utils:** Payment authority ([#254](https://github.com/medipass/medipass-web-sdk/issues/254)) ([e8a8715](https://github.com/medipass/medipass-web-sdk/commit/e8a8715))

## [10.24.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.24.4...@medipass/web-sdk@10.24.5) (2019-08-08)

### Enhancements

- **web-sdk:** Add ability to get transaction by invoice reference ([a0e6e1d](https://github.com/medipass/medipass-web-sdk/commit/a0e6e1d))
- **web-sdk:** Add createSelfCheckoutSession method ([e76199e](https://github.com/medipass/medipass-web-sdk/commit/e76199e))

## [10.24.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.24.3...@medipass/web-sdk@10.24.4) (2019-08-01)

**Note:** Version bump only for package @medipass/web-sdk

## [10.24.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.24.2...@medipass/web-sdk@10.24.3) (2019-08-01)

**Note:** Version bump only for package @medipass/web-sdk

## [10.24.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.24.1...@medipass/web-sdk@10.24.2) (2019-07-31)

**Note:** Version bump only for package @medipass/web-sdk

## [10.24.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.24.0...@medipass/web-sdk@10.24.1) (2019-07-31)

**Note:** Version bump only for package @medipass/web-sdk

# [10.24.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.23.15...@medipass/web-sdk@10.24.0) (2019-07-30)

### Features

- **react-core, ui-kit:** Patient Record for HICAPS, OHC, Patient Funded & Quotes ([#252](https://github.com/medipass/medipass-web-sdk/issues/252)) ([579dbcd](https://github.com/medipass/medipass-web-sdk/commit/579dbcd))

## [10.23.15](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.23.13...@medipass/web-sdk@10.23.15) (2019-07-29)

**Note:** Version bump only for package @medipass/web-sdk

## [10.23.13](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.23.12...@medipass/web-sdk@10.23.13) (2019-07-29)

### Enhancements

- **react-core:** ndis status details ([#250](https://github.com/medipass/medipass-web-sdk/issues/250)) ([67ed0f7](https://github.com/medipass/medipass-web-sdk/commit/67ed0f7))

## [10.23.12](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.23.9-feature-health-fund-transaction-notes.0...@medipass/web-sdk@10.23.12) (2019-07-29)

### Bug Fixes

- package version ([0f82292](https://github.com/medipass/medipass-web-sdk/commit/0f82292))

## [10.23.11](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.23.9-feature-health-fund-transaction-notes.0...@medipass/web-sdk@10.23.11) (2019-07-24)

### Bug Fixes

- package version ([0f82292](https://github.com/medipass/medipass-web-sdk/commit/0f82292))

## [10.23.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.23.7...@medipass/web-sdk@10.23.8) (2019-07-19)

**Note:** Version bump only for package @medipass/web-sdk

## [10.23.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.23.6...@medipass/web-sdk@10.23.7) (2019-07-17)

### Enhancements

- **react-core:** responsive pricing table ([#245](https://github.com/medipass/medipass-web-sdk/issues/245)) ([9118df4](https://github.com/medipass/medipass-web-sdk/commit/9118df4))

## [10.23.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.23.5...@medipass/web-sdk@10.23.6) (2019-07-16)

**Note:** Version bump only for package @medipass/web-sdk

## [10.23.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.23.4...@medipass/web-sdk@10.23.5) (2019-07-12)

### Bug Fixes

- **react-core:** icare - fix approved status ([#240](https://github.com/medipass/medipass-web-sdk/issues/240)) ([6a1fe40](https://github.com/medipass/medipass-web-sdk/commit/6a1fe40))

## [10.23.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.23.3...@medipass/web-sdk@10.23.4) (2019-07-11)

### Enhancements

- **web-sdk:** Add create payment request method ([3a415fb](https://github.com/medipass/medipass-web-sdk/commit/3a415fb))

## [10.23.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.23.1...@medipass/web-sdk@10.23.3) (2019-07-11)

**Note:** Version bump only for package @medipass/web-sdk

## [10.23.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.23.0...@medipass/web-sdk@10.23.1) (2019-07-11)

### Enhancements

- **react-core:** Add subscription table ([#239](https://github.com/medipass/medipass-web-sdk/issues/239)) ([ea4ba44](https://github.com/medipass/medipass-web-sdk/commit/ea4ba44))

# [10.23.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.22.2...@medipass/web-sdk@10.23.0) (2019-07-08)

### Features

- **web-sdk:** Add SDK methods for patient record management ([#237](https://github.com/medipass/medipass-web-sdk/issues/237)) ([142427c](https://github.com/medipass/medipass-web-sdk/commit/142427c))

## [10.22.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.22.1...@medipass/web-sdk@10.22.2) (2019-07-01)

**Note:** Version bump only for package @medipass/web-sdk

## [10.22.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.22.0...@medipass/web-sdk@10.22.1) (2019-07-01)

### Enhancements

- **web-sdk:** change health fund form upload method ([#235](https://github.com/medipass/medipass-web-sdk/issues/235)) ([c701a66](https://github.com/medipass/medipass-web-sdk/commit/c701a66))

# [10.22.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.21.2...@medipass/web-sdk@10.22.0) (2019-06-25)

### Features

- **react-core, utils:** Add stuff for transaction confirmation ([#232](https://github.com/medipass/medipass-web-sdk/issues/232)) ([d4dec3b](https://github.com/medipass/medipass-web-sdk/commit/d4dec3b))

## [10.21.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.21.1...@medipass/web-sdk@10.21.2) (2019-06-25)

### Enhancements

- **web-sdk:** Add methods for virus scans ([#233](https://github.com/medipass/medipass-web-sdk/issues/233)) ([946d8aa](https://github.com/medipass/medipass-web-sdk/commit/946d8aa))

## [10.21.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.21.0...@medipass/web-sdk@10.21.1) (2019-06-17)

**Note:** Version bump only for package @medipass/web-sdk

# [10.21.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.20.2...@medipass/web-sdk@10.21.0) (2019-06-14)

### Features

- **react-core, web-sdk, utils:** Add ADF ([#229](https://github.com/medipass/medipass-web-sdk/issues/229)) ([3315d28](https://github.com/medipass/medipass-web-sdk/commit/3315d28))

## [10.20.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.20.0...@medipass/web-sdk@10.20.2) (2019-06-13)

**Note:** Version bump only for package @medipass/web-sdk

# [10.20.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.19.0...@medipass/web-sdk@10.20.0) (2019-06-11)

### Features

- **web-sdk:** Add ability to download transaction list as a CSV ([#226](https://github.com/medipass/medipass-web-sdk/issues/226)) ([35e0fad](https://github.com/medipass/medipass-web-sdk/commit/35e0fad))

# [10.19.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.19.0...@medipass/web-sdk@10.19.0) (2019-06-11)

### Features

- **web-sdk:** Add ability to download transaction list as a CSV ([#226](https://github.com/medipass/medipass-web-sdk/issues/226)) ([35e0fad](https://github.com/medipass/medipass-web-sdk/commit/35e0fad))

# [10.19.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.24...@medipass/web-sdk@10.19.0) (2019-06-06)

### Features

- **react-core, web-sdk, utils:** Add OHC stuff ([#223](https://github.com/medipass/medipass-web-sdk/issues/223)) ([f3fde81](https://github.com/medipass/medipass-web-sdk/commit/f3fde81))

## [10.18.24](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.23...@medipass/web-sdk@10.18.24) (2019-06-06)

**Note:** Version bump only for package @medipass/web-sdk

## [10.18.23](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.22...@medipass/web-sdk@10.18.23) (2019-06-06)

**Note:** Version bump only for package @medipass/web-sdk

## [10.18.22](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.21...@medipass/web-sdk@10.18.22) (2019-06-06)

### Bug Fixes

- **web-sdk:** block exceeding file sizes ([#224](https://github.com/medipass/medipass-web-sdk/issues/224)) ([a46bd33](https://github.com/medipass/medipass-web-sdk/commit/a46bd33))

## [10.18.21](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.20...@medipass/web-sdk@10.18.21) (2019-06-05)

### Bug Fixes

- **web-sdk:** Fix axios ([72bcf1e](https://github.com/medipass/medipass-web-sdk/commit/72bcf1e))

## [10.18.20](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.19...@medipass/web-sdk@10.18.20) (2019-06-03)

**Note:** Version bump only for package @medipass/web-sdk

## [10.18.19](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.18...@medipass/web-sdk@10.18.19) (2019-05-31)

### Bug Fixes

- **web-sdk:** Make version check also check for downgrades ([6ccafee](https://github.com/medipass/medipass-web-sdk/commit/6ccafee))

## [10.18.18](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.17...@medipass/web-sdk@10.18.18) (2019-05-30)

**Note:** Version bump only for package @medipass/web-sdk

## [10.18.17](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.16...@medipass/web-sdk@10.18.17) (2019-05-29)

**Note:** Version bump only for package @medipass/web-sdk

## [10.18.16](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.15...@medipass/web-sdk@10.18.16) (2019-05-29)

**Note:** Version bump only for package @medipass/web-sdk

## [10.18.15](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.13...@medipass/web-sdk@10.18.15) (2019-05-28)

**Note:** Version bump only for package @medipass/web-sdk

## [10.18.13](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.11...@medipass/web-sdk@10.18.13) (2019-05-28)

**Note:** Version bump only for package @medipass/web-sdk

## [10.18.11](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.10...@medipass/web-sdk@10.18.11) (2019-05-28)

### Enhancements

- **react-core:** Add provider number to hicaps and patient funded transaction details ([#221](https://github.com/medipass/medipass-web-sdk/issues/221)) ([49b7857](https://github.com/medipass/medipass-web-sdk/commit/49b7857))

## [10.18.10](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.9...@medipass/web-sdk@10.18.10) (2019-05-27)

**Note:** Version bump only for package @medipass/web-sdk

## [10.18.9](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.8...@medipass/web-sdk@10.18.9) (2019-05-27)

**Note:** Version bump only for package @medipass/web-sdk

## [10.18.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.7...@medipass/web-sdk@10.18.8) (2019-05-23)

### Enhancements

- **web-sdk:** implement new upload method ([#217](https://github.com/medipass/medipass-web-sdk/issues/217)) ([cbea548](https://github.com/medipass/medipass-web-sdk/commit/cbea548))

## [10.18.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.6...@medipass/web-sdk@10.18.7) (2019-05-21)

**Note:** Version bump only for package @medipass/web-sdk

## [10.18.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.5...@medipass/web-sdk@10.18.6) (2019-05-21)

**Note:** Version bump only for package @medipass/web-sdk

## [10.18.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.4...@medipass/web-sdk@10.18.5) (2019-05-15)

**Note:** Version bump only for package @medipass/web-sdk

## [10.18.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.3...@medipass/web-sdk@10.18.4) (2019-05-15)

**Note:** Version bump only for package @medipass/web-sdk

## [10.18.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.2...@medipass/web-sdk@10.18.3) (2019-05-15)

### Enhancements

- **web-sdk:** Add methods for products & subscriptions ([1b43be9](https://github.com/medipass/medipass-web-sdk/commit/1b43be9))

## [10.18.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.1...@medipass/web-sdk@10.18.2) (2019-05-14)

### Bug Fixes

- **react-core:** icare code description alignment ([#210](https://github.com/medipass/medipass-web-sdk/issues/210)) ([c2a5dd2](https://github.com/medipass/medipass-web-sdk/commit/c2a5dd2))

## [10.18.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.18.0...@medipass/web-sdk@10.18.1) (2019-05-13)

### Enhancements

- **web-sdk:** added kyc verify beneficial owner endpoint ([#209](https://github.com/medipass/medipass-web-sdk/issues/209)) ([70237eb](https://github.com/medipass/medipass-web-sdk/commit/70237eb))

# [10.18.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.15.11...@medipass/web-sdk@10.18.0) (2019-05-13)

### Features

- **react-core:** Migrate to new Sidebar & Content Header ([#205](https://github.com/medipass/medipass-web-sdk/issues/205)) ([bbff994](https://github.com/medipass/medipass-web-sdk/commit/bbff994))

# [10.16.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.15.11...@medipass/web-sdk@10.16.0) (2019-05-10)

### Features

- **react-core:** Migrate to new Sidebar & Content Header ([#205](https://github.com/medipass/medipass-web-sdk/issues/205)) ([bbff994](https://github.com/medipass/medipass-web-sdk/commit/bbff994))

## [10.15.11](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.15.10...@medipass/web-sdk@10.15.11) (2019-05-06)

### Bug Fixes

- **utils:** icare bugfixes ([#204](https://github.com/medipass/medipass-web-sdk/issues/204)) ([6ab55e8](https://github.com/medipass/medipass-web-sdk/commit/6ab55e8))

## [10.15.10](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.15.9...@medipass/web-sdk@10.15.10) (2019-05-06)

### Bug Fixes

- **web-sdk:** Fixed parse professions ([#203](https://github.com/medipass/medipass-web-sdk/issues/203)) ([847dd1b](https://github.com/medipass/medipass-web-sdk/commit/847dd1b))

## [10.15.9](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.15.8...@medipass/web-sdk@10.15.9) (2019-05-03)

### Enhancements

- **web-sdk:** Add provider registrations ([#202](https://github.com/medipass/medipass-web-sdk/issues/202)) ([5dd1ea9](https://github.com/medipass/medipass-web-sdk/commit/5dd1ea9))

## [10.15.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.15.7...@medipass/web-sdk@10.15.8) (2019-05-02)

**Note:** Version bump only for package @medipass/web-sdk

## [10.15.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.15.6...@medipass/web-sdk@10.15.7) (2019-05-01)

### Enhancements

- **web-sdk:** Added method to get business terminals ([#200](https://github.com/medipass/medipass-web-sdk/issues/200)) ([fcd6a0e](https://github.com/medipass/medipass-web-sdk/commit/fcd6a0e))

## [10.15.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.15.5...@medipass/web-sdk@10.15.6) (2019-05-01)

### Enhancements

- **web-sdk:** Add method to get health fund member transactions ([2029ba3](https://github.com/medipass/medipass-web-sdk/commit/2029ba3))

## [10.15.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.15.4...@medipass/web-sdk@10.15.5) (2019-04-30)

### Enhancements

- **web-sdk:** Add icare transaction summary components ([#199](https://github.com/medipass/medipass-web-sdk/issues/199)) ([ad936e3](https://github.com/medipass/medipass-web-sdk/commit/ad936e3))

## [10.15.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.16.2...@medipass/web-sdk@10.15.4) (2019-04-26)

### Enhancements

- **web-sdk:** Add methods for icare transactions ([#196](https://github.com/medipass/medipass-web-sdk/issues/196)) ([0e1646e](https://github.com/medipass/medipass-web-sdk/commit/0e1646e))

## [10.16.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.16.1...@medipass/web-sdk@10.16.2) (2019-04-23)

**Note:** Version bump only for package @medipass/web-sdk

## [10.16.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.16.0...@medipass/web-sdk@10.16.1) (2019-04-18)

### Enhancements

- **web-sdk:** add query param to getTerminals method ([#195](https://github.com/medipass/medipass-web-sdk/issues/195)) ([20c83c6](https://github.com/medipass/medipass-web-sdk/commit/20c83c6))

# [10.16.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.15.3...@medipass/web-sdk@10.16.0) (2019-04-16)

### Features

- **web-sdk:** Add utils for professional categories and specialties ([#193](https://github.com/medipass/medipass-web-sdk/issues/193)) ([b5df394](https://github.com/medipass/medipass-web-sdk/commit/b5df394))

## [10.15.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.15.2...@medipass/web-sdk@10.15.3) (2019-04-16)

### Enhancements

- **web-sdk:** upload manual form ([#194](https://github.com/medipass/medipass-web-sdk/issues/194)) ([a14b6c3](https://github.com/medipass/medipass-web-sdk/commit/a14b6c3))

## [10.15.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.15.1...@medipass/web-sdk@10.15.2) (2019-04-15)

### Enhancements

- **web-sdk:** add query param to get cbo ([#192](https://github.com/medipass/medipass-web-sdk/issues/192)) ([ddb5a95](https://github.com/medipass/medipass-web-sdk/commit/ddb5a95))

## [10.15.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.15.0...@medipass/web-sdk@10.15.1) (2019-04-12)

### Enhancements

- **web-sdk:** upload manual form ([#191](https://github.com/medipass/medipass-web-sdk/issues/191)) ([bd67647](https://github.com/medipass/medipass-web-sdk/commit/bd67647))

## [10.14.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.15.0...@medipass/web-sdk@10.14.8) (2019-04-12)

### Enhancements

- **web-sdk:** upload manual form ([#191](https://github.com/medipass/medipass-web-sdk/issues/191)) ([bd67647](https://github.com/medipass/medipass-web-sdk/commit/bd67647))

# [10.15.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.14.12...@medipass/web-sdk@10.15.0) (2019-04-12)

### Features

- **web-sdk:** Add KYC resource & methods ([#190](https://github.com/medipass/medipass-web-sdk/issues/190)) ([4a281e1](https://github.com/medipass/medipass-web-sdk/commit/4a281e1))

## [10.14.12](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.14.8-feature-upload-manual-form.0...@medipass/web-sdk@10.14.12) (2019-04-11)

### Bug Fixes

- **web-sdk:** Fix & refactor device registration for environments ([530013f](https://github.com/medipass/medipass-web-sdk/commit/530013f))

### Enhancements

- **react-core, utils, web-sdk:** Add ability to remember email in the Authentication component ([#188](https://github.com/medipass/medipass-web-sdk/issues/188)) ([a6cb3d2](https://github.com/medipass/medipass-web-sdk/commit/a6cb3d2))
- **web-sdk:** Add setConfig method ([8691aff](https://github.com/medipass/medipass-web-sdk/commit/8691aff))

## [10.14.11](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.14.10...@medipass/web-sdk@10.14.11) (2019-04-11)

### Enhancements

- **react-core, utils, web-sdk:** Add ability to remember email in the Authentication component ([#188](https://github.com/medipass/medipass-web-sdk/issues/188)) ([a6cb3d2](https://github.com/medipass/medipass-web-sdk/commit/a6cb3d2))

## [10.14.10](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.14.9...@medipass/web-sdk@10.14.10) (2019-04-08)

**Note:** Version bump only for package @medipass/web-sdk

## [10.14.9](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.14.8...@medipass/web-sdk@10.14.9) (2019-04-06)

### Bug Fixes

- **web-sdk:** Fix & refactor device registration for environments ([530013f](https://github.com/medipass/medipass-web-sdk/commit/530013f))

## [10.14.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.14.7...@medipass/web-sdk@10.14.8) (2019-04-05)

### Enhancements

- **web-sdk:** Add setConfig method ([8691aff](https://github.com/medipass/medipass-web-sdk/commit/8691aff))

## [10.14.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.14.6...@medipass/web-sdk@10.14.7) (2019-04-02)

### Enhancements

- **web-sdk:** Add sdkAppVersion ([433f7f6](https://github.com/medipass/medipass-web-sdk/commit/433f7f6))

## [10.14.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.14.5...@medipass/web-sdk@10.14.6) (2019-04-02)

### Enhancements

- **web-sdk:** Add hasInit flag ([2d8854e](https://github.com/medipass/medipass-web-sdk/commit/2d8854e))

## [10.14.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.14.4...@medipass/web-sdk@10.14.5) (2019-04-02)

### Enhancements

- **web-sdk:** Add discover member ([5a7779b](https://github.com/medipass/medipass-web-sdk/commit/5a7779b))

## [10.14.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.14.3...@medipass/web-sdk@10.14.4) (2019-04-01)

### Enhancements

- **web-sdk:** add previous transaction form values to storage ([#184](https://github.com/medipass/medipass-web-sdk/issues/184)) ([008a378](https://github.com/medipass/medipass-web-sdk/commit/008a378))

## [10.14.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.14.2...@medipass/web-sdk@10.14.3) (2019-03-29)

### Bug Fixes

- **web-sdk:** Fix localStorage store ([fb8ba60](https://github.com/medipass/medipass-web-sdk/commit/fb8ba60))

## [10.14.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.14.1...@medipass/web-sdk@10.14.2) (2019-03-29)

### Bug Fixes

- **web-sdk:** Assert window exists before setting up storage ([2acdf77](https://github.com/medipass/medipass-web-sdk/commit/2acdf77))

## [10.14.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.14.0...@medipass/web-sdk@10.14.1) (2019-03-27)

### Enhancements

- **web-sdk:** Add x-appver to SDK\n ([1a5897a](https://github.com/medipass/medipass-web-sdk/commit/1a5897a))

# [10.14.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.13.2...@medipass/web-sdk@10.14.0) (2019-03-27)

### Features

- **react-core:** Migrate to Fannypack Button ([#183](https://github.com/medipass/medipass-web-sdk/issues/183)) ([66d815f](https://github.com/medipass/medipass-web-sdk/commit/66d815f))

## [10.13.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.13.1...@medipass/web-sdk@10.13.2) (2019-03-26)

**Note:** Version bump only for package @medipass/web-sdk

## [10.13.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.13.0...@medipass/web-sdk@10.13.1) (2019-03-25)

### Enhancements

- **web-sdk:** create business practice invoice ([#182](https://github.com/medipass/medipass-web-sdk/issues/182)) ([255ce21](https://github.com/medipass/medipass-web-sdk/commit/255ce21))

# [10.13.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.23...@medipass/web-sdk@10.13.0) (2019-03-12)

### Features

- **web-sdk:** added ability to verify a business's KYC in sdk ([#177](https://github.com/medipass/medipass-web-sdk/issues/177)) ([3fbbf45](https://github.com/medipass/medipass-web-sdk/commit/3fbbf45))

## [10.12.23](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.22...@medipass/web-sdk@10.12.23) (2019-03-07)

### Bug Fixes

- **web-sdk:** Move tokens to session storage ([#175](https://github.com/medipass/medipass-web-sdk/issues/175)) ([e5fcf62](https://github.com/medipass/medipass-web-sdk/commit/e5fcf62))

## [10.12.22](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.21...@medipass/web-sdk@10.12.22) (2019-03-05)

### Enhancements

- **web-sdk:** add has application template to get health fund query ([#170](https://github.com/medipass/medipass-web-sdk/issues/170)) ([4b1ef01](https://github.com/medipass/medipass-web-sdk/commit/4b1ef01))

## [10.12.21](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.20...@medipass/web-sdk@10.12.21) (2019-03-03)

### Enhancements

- **web-sdk:** add exclude document ids to get health fund documents ([#169](https://github.com/medipass/medipass-web-sdk/issues/169)) ([ae4d5f8](https://github.com/medipass/medipass-web-sdk/commit/ae4d5f8))

## [10.12.20](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.19...@medipass/web-sdk@10.12.20) (2019-02-28)

### Enhancements

- **react-core:** Add refresh to transaction reports ([cb1b65c](https://github.com/medipass/medipass-web-sdk/commit/cb1b65c))

## [10.12.19](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.18...@medipass/web-sdk@10.12.19) (2019-02-26)

**Note:** Version bump only for package @medipass/web-sdk

## [10.12.18](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.17...@medipass/web-sdk@10.12.18) (2019-02-26)

### Enhancements

- **web-sdk:** Added ceaseHealthFundDocument method ([e6b72b3](https://github.com/medipass/medipass-web-sdk/commit/e6b72b3))

## [10.12.17](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.16...@medipass/web-sdk@10.12.17) (2019-02-25)

**Note:** Version bump only for package @medipass/web-sdk

## [10.12.16](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.15...@medipass/web-sdk@10.12.16) (2019-02-20)

### Bug Fixes

- **web-sdk:** Fix types ([ba70bd3](https://github.com/medipass/medipass-web-sdk/commit/ba70bd3))

### Enhancements

- **react-core:** Add ability to login with accountId in URL query ([#161](https://github.com/medipass/medipass-web-sdk/issues/161)) ([61d4fe3](https://github.com/medipass/medipass-web-sdk/commit/61d4fe3))

## [10.12.15](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.14...@medipass/web-sdk@10.12.15) (2019-02-19)

**Note:** Version bump only for package @medipass/web-sdk

## [10.12.14](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.13...@medipass/web-sdk@10.12.14) (2019-02-19)

**Note:** Version bump only for package @medipass/web-sdk

## [10.12.13](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.12...@medipass/web-sdk@10.12.13) (2019-02-14)

**Note:** Version bump only for package @medipass/web-sdk

## [10.12.12](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.10...@medipass/web-sdk@10.12.12) (2019-02-14)

### Bug Fixes

- **react-core:** external references ([0468ab8](https://github.com/medipass/medipass-web-sdk/commit/0468ab8))

## [10.12.11](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.10...@medipass/web-sdk@10.12.11) (2019-02-14)

**Note:** Version bump only for package @medipass/web-sdk

## [10.12.10](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.9...@medipass/web-sdk@10.12.10) (2019-02-12)

### Enhancements

- **web-sdk:** add get business staff account ([256bdbc](https://github.com/medipass/medipass-web-sdk/commit/256bdbc))

## [10.12.9](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.8...@medipass/web-sdk@10.12.9) (2019-02-12)

**Note:** Version bump only for package @medipass/web-sdk

## [10.12.8](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.7...@medipass/web-sdk@10.12.8) (2019-02-12)

**Note:** Version bump only for package @medipass/web-sdk

## [10.12.7](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.6...@medipass/web-sdk@10.12.7) (2019-02-08)

**Note:** Version bump only for package @medipass/web-sdk

## [10.12.6](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.6-feature-cancel-transaction-reason.0...@medipass/web-sdk@10.12.6) (2019-02-07)

### Bug Fixes

- Fix flow issues ([a63ecd8](https://github.com/medipass/medipass-web-sdk/commit/a63ecd8))

## [10.12.5](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.5-feature-transaction-reports.0...@medipass/web-sdk@10.12.5) (2019-02-06)

**Note:** Version bump only for package @medipass/web-sdk

## [10.12.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.3...@medipass/web-sdk@10.12.4) (2019-02-05)

### Enhancements

- **web-sdk:** Add sdk.transactions.getBusinessTransactionPaymentReport & sdk.transactions.ge ([adb1eeb](https://github.com/medipass/medipass-web-sdk/commit/adb1eeb))

## [10.12.3](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.2...@medipass/web-sdk@10.12.3) (2019-02-05)

### Enhancements

- **web-sdk:** add requestBody to sdk.accounts.requestOtk ([#139](https://github.com/medipass/medipass-web-sdk/issues/139)) ([3a15fa3](https://github.com/medipass/medipass-web-sdk/commit/3a15fa3))

## [10.12.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.1...@medipass/web-sdk@10.12.2) (2019-02-01)

**Note:** Version bump only for package @medipass/web-sdk

## [10.12.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.12.0...@medipass/web-sdk@10.12.1) (2019-01-31)

### Enhancements

- **web-sdk:** add check staff member email exists ([#136](https://github.com/medipass/medipass-web-sdk/issues/136)) ([e710668](https://github.com/medipass/medipass-web-sdk/commit/e710668))

# [10.12.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.10.0...@medipass/web-sdk@10.12.0) (2019-01-30)

### Features

- **ui-kit, react-core:** Migrate to fannypack typography ([#134](https://github.com/medipass/medipass-web-sdk/issues/134)) ([595656f](https://github.com/medipass/medipass-web-sdk/commit/595656f))

# [10.10.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.10.0...@medipass/web-sdk@10.10.0) (2019-01-30)

### Features

- **ui-kit, react-core:** Migrate to fannypack typography ([#134](https://github.com/medipass/medipass-web-sdk/issues/134)) ([595656f](https://github.com/medipass/medipass-web-sdk/commit/595656f))

# [10.10.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.9.4...@medipass/web-sdk@10.10.0) (2019-01-30)

### Features

- **web-sdk:** add update and delete business staff email ([405d940](https://github.com/medipass/medipass-web-sdk/commit/405d940))

## [10.9.4](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.9.2...@medipass/web-sdk@10.9.4) (2019-01-24)

**Note:** Version bump only for package @medipass/web-sdk

## [10.9.2](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.9.1...@medipass/web-sdk@10.9.2) (2019-01-24)

**Note:** Version bump only for package @medipass/web-sdk

## [10.9.1](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.9.0...@medipass/web-sdk@10.9.1) (2019-01-23)

### Enhancements

- **web-sdk:** add fetch business staff practices ([bbd2973](https://github.com/medipass/medipass-web-sdk/commit/bbd2973))

# [10.9.0](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.134...@medipass/web-sdk@10.9.0) (2019-01-22)

### Features

- **react-core, ui-kit:** Migrate from <div> to <Box> ([#120](https://github.com/medipass/medipass-web-sdk/issues/120)) ([9f89ed7](https://github.com/medipass/medipass-web-sdk/commit/9f89ed7))

## [10.8.134](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.133...@medipass/web-sdk@10.8.134) (2019-01-18)

### Enhancements

- **web-sdk:** Add verifyMedicare method for businesses ([2560016](https://github.com/medipass/medipass-web-sdk/commit/2560016))

## [10.8.133](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.132...@medipass/web-sdk@10.8.133) (2019-01-17)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.132](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.131...@medipass/web-sdk@10.8.132) (2019-01-17)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.131](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.125...@medipass/web-sdk@10.8.131) (2019-01-16)

### Enhancements

- **web-sdk:** add event job kickoff ([#118](https://github.com/medipass/medipass-web-sdk/issues/118)) ([8e5adc8](https://github.com/medipass/medipass-web-sdk/commit/8e5adc8))

## [10.8.122](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.125...@medipass/web-sdk@10.8.122) (2019-01-16)

### Enhancements

- **web-sdk:** add event job kickoff ([#118](https://github.com/medipass/medipass-web-sdk/issues/118)) ([8e5adc8](https://github.com/medipass/medipass-web-sdk/commit/8e5adc8))

## [10.8.125](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.124...@medipass/web-sdk@10.8.125) (2019-01-16)

### Enhancements

- **react-core:** added getLatestApprovedDocument and practice selection to amend form ([758a33b](https://github.com/medipass/medipass-web-sdk/commit/758a33b))

## [10.8.124](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.124-feature-fannypack.0...@medipass/web-sdk@10.8.124) (2019-01-14)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.123](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.122...@medipass/web-sdk@10.8.123) (2018-12-21)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.122](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.121...@medipass/web-sdk@10.8.122) (2018-12-20)

### Enhancements

- **web-sdk:** added approvedDate to HealthFundDocumentResponse ([#112](https://github.com/medipass/medipass-web-sdk/issues/112)) ([489fa40](https://github.com/medipass/medipass-web-sdk/commit/489fa40))

## [10.8.121](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.120...@medipass/web-sdk@10.8.121) (2018-12-17)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.120](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.119...@medipass/web-sdk@10.8.120) (2018-12-12)

### Enhancements

- **web-sdk:** Added sdk.businesses.getMyBusinesses ([cccb740](https://github.com/medipass/medipass-web-sdk/commit/cccb740))

## [10.8.119](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.118...@medipass/web-sdk@10.8.119) (2018-12-04)

### Features

- **web-sdk:** Authy verification, removal and generation ([#108](https://github.com/medipass/medipass-web-sdk/issues/108)) ([0a21ae7](https://github.com/medipass/medipass-web-sdk/commit/0a21ae7))

## [10.8.118](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.117...@medipass/web-sdk@10.8.118) (2018-12-04)

### Enhancements

- **web-sdk:** Add more keys to HealthFundDocument type ([c47dea4](https://github.com/medipass/medipass-web-sdk/commit/c47dea4))

## [10.8.117](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.116...@medipass/web-sdk@10.8.117) (2018-12-04)

### Enhancements

- **web-sdk:** Add practiceId to BusinessDocumentsQuery type ([477749b](https://github.com/medipass/medipass-web-sdk/commit/477749b))

## [10.8.116](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.115...@medipass/web-sdk@10.8.116) (2018-11-27)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.115](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.114...@medipass/web-sdk@10.8.115) (2018-11-23)

### Enhancements

- **web-sdk:** Add get health fund account ([#101](https://github.com/medipass/medipass-web-sdk/issues/101)) ([60b8ea9](https://github.com/medipass/medipass-web-sdk/commit/60b8ea9))

## [10.8.114](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.114-enhancement-new-document-workflow-states.0...@medipass/web-sdk@10.8.114) (2018-11-23)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.113](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.112...@medipass/web-sdk@10.8.113) (2018-11-14)

### Enhancements

- **web-sdk:** Add sdk.transactions.assignHealthFundTransactions ([fc84380](https://github.com/medipass/medipass-web-sdk/commit/fc84380))

## [10.8.112](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.111...@medipass/web-sdk@10.8.112) (2018-11-13)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.111](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.109...@medipass/web-sdk@10.8.111) (2018-11-12)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.109](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.109-enhancement-park-documents.3...@medipass/web-sdk@10.8.109) (2018-11-12)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.108](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.108-tech-debt-reach-router.0...@medipass/web-sdk@10.8.108) (2018-11-07)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.107](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.106...@medipass/web-sdk@10.8.107) (2018-11-05)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.106](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.105...@medipass/web-sdk@10.8.106) (2018-10-30)

### Features

- **web-sdk:** add get pdf for medicare completed transaction ([5ec4d91](https://github.com/medipass/medipass-web-sdk/commit/5ec4d91))

## [10.8.105](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.104...@medipass/web-sdk@10.8.105) (2018-10-30)

### Features

- **web-sdk:** add get business pdfs method ([ed8f35d](https://github.com/medipass/medipass-web-sdk/commit/ed8f35d))

## [10.8.104](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.103...@medipass/web-sdk@10.8.104) (2018-10-24)

### Enhancements

- **web-sdk:** Add body as parameter to sdk.documents.declineHealthFundDocument ([bc64319](https://github.com/medipass/medipass-web-sdk/commit/bc64319))
- **web-sdk:** Add sdk.emails.generateDocumentEmailTemplate ([932aae8](https://github.com/medipass/medipass-web-sdk/commit/932aae8))

## [10.8.103](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.102...@medipass/web-sdk@10.8.103) (2018-10-23)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.102](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.101...@medipass/web-sdk@10.8.102) (2018-10-23)

### Enhancements

- **web-sdk:** add methods to clone staff and practices ([#88](https://github.com/medipass/medipass-web-sdk/issues/88)) ([acc3f10](https://github.com/medipass/medipass-web-sdk/commit/acc3f10))

## [10.8.101](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.100...@medipass/web-sdk@10.8.101) (2018-10-19)

### Enhancements

- **web-sdk:** add body to verify staff ([e0abef3](https://github.com/medipass/medipass-web-sdk/commit/e0abef3))

## [10.8.100](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.99...@medipass/web-sdk@10.8.100) (2018-10-18)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.99](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.98...@medipass/web-sdk@10.8.99) (2018-10-18)

### Enhancements

- **web-sdk:** Add sdk.documents.getBusinessDocument ([62383c5](https://github.com/medipass/medipass-web-sdk/commit/62383c5))

## [10.8.98](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.97...@medipass/web-sdk@10.8.98) (2018-10-18)

### Enhancements

- **web-sdk:** Add sdk.documents.approveHealthFundDocument and sdk.documents.declineHealthFundDocument ([f04ce40](https://github.com/medipass/medipass-web-sdk/commit/f04ce40))

## [10.8.97](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.96...@medipass/web-sdk@10.8.97) (2018-10-18)

### Enhancements

- **web-sdk:** Add sdk.documents.cancelBusinessDocument ([8efd215](https://github.com/medipass/medipass-web-sdk/commit/8efd215))

## [10.8.96](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.94...@medipass/web-sdk@10.8.96) (2018-10-18)

### Enhancements

- **web-sdk:** Add sdk.formApplications.getHealthFundFormApplication ([c638358](https://github.com/medipass/medipass-web-sdk/commit/c638358))

## [10.8.94](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.94-enhancement-view-form-application.0...@medipass/web-sdk@10.8.94) (2018-10-17)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.93](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.93-enhancement-list-health-fund-documents.0...@medipass/web-sdk@10.8.93) (2018-10-15)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.92](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.91...@medipass/web-sdk@10.8.92) (2018-10-11)

### Bug Fixes

- **web-sdk:** Fix up types ([eeed845](https://github.com/medipass/medipass-web-sdk/commit/eeed845))

## [10.8.91](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.90...@medipass/web-sdk@10.8.91) (2018-10-11)

**Note:** Version bump only for package @medipass/web-sdk

## [10.8.90](https://github.com/medipass/medipass-web-sdk/compare/@medipass/web-sdk@10.8.89...@medipass/web-sdk@10.8.90) (2018-10-10)

**Note:** Version bump only for package @medipass/web-sdk

<a name="10.8.37"></a>

## 10.8.37 (2018-07-03)

<a name="1.0.0"></a>

# 1.0.0 (2018-01-29)

### Bug Fixes

- **web-sdk:** bind profiles to sdk ([f121bc8](https://github.com/medipass/medipass-web-sdk/commit/f121bc8))

<a name="1.0.0"></a>

# 1.0.0 (2018-01-23)

### Bug Fixes

- **web-sdk:** bind businessProfiles, practiceProfiles, staffProfiles to the sdk ([b75c9c6](https://github.com/medipass/medipass-web-sdk/commit/b75c9c6))
