import type { MedipassRequestOpts, Abr } from '../types';
export declare const pathGetAbr: () => string;
export interface GetAbrQuery {
    abn: string;
}
/**
 * Get Australian Business Register information
 * @param {Object} opts - Additional options
 */
export declare const getAbr: (query: GetAbrQuery, opts?: MedipassRequestOpts) => Promise<Abr>;
