import type { MedipassRequestOpts } from '../types';
/**
 * Get actions
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getActions: (query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Get action
 * @param {String} actionId - Action ID
 * @param {Object} opts - Additional options
 */
export declare const getAction: (actionId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
