import type { MedipassRequestOpts } from 'types';
export declare const pathPerformMerchantValidation: () => string;
export interface PerformMerchantValidationBody {
    validationUrl: string;
    displayName: string;
}
/**
 * @param {Object} body - Response body
 * @param {Object} opts - Additional options
 */
export declare const performMerchantValidation: (body: PerformMerchantValidationBody, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
