import type { FilterOption, MedipassRequestOpts, PaginatedResponse, FilterGroup } from '../types';
export declare const pathFilterOptions: (businessId: string) => string;
export interface GetBusinessFilterOptionsQuery {
    filterGroup: FilterGroup;
    selectedFilterOptionIds?: string;
    searchText?: string;
}
export declare const getBusinessFilterOptions: (businessId: string, query: GetBusinessFilterOptionsQuery, opts?: MedipassRequestOpts) => Promise<PaginatedResponse<FilterOption>>;
