import type { MedipassRequestOpts } from '../types';
export declare const pathFunderSettings: (businessId: string) => string;
export declare const pathFunderSettingsById: (businessId: string, funderSettingsId: string) => string;
export declare const getBusinessFunderSettings: (businessId: string, query?: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Array<Record<string, any>>>;
export declare const getBusinesFunderSettingsById: (businessId: string, funderSettingsId: string, opts?: MedipassRequestOpts) => Promise<Array<Record<string, any>>>;
export declare const updateBusinesFunderSettings: (businessId: string, funderSettingsId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Array<Record<string, any>>>;
export declare const createBusinesFunderSettings: (businessId: string, body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Array<Record<string, any>>>;
export declare const deleteBusinesFunderSettings: (businessId: string, funderSettingsId: string, opts?: MedipassRequestOpts) => Promise<Array<Record<string, any>>>;
