import type { MedipassRequestOpts } from '../types';
export declare const pathVerifyClaimNumber: () => string;
export interface VerifyClaimNumberBody {
    businessId: string;
    claimNumber: string;
}
export interface VerifyClaimNumberResponse {
    patientVerified: boolean;
    scheme: string;
    healthFundId: string;
    schemeDisplayName: string;
    claimStatus?: 'Open' | 'NULL';
}
export declare const verifyClaimNumber: (body: VerifyClaimNumberBody, opts?: MedipassRequestOpts) => Promise<VerifyClaimNumberResponse>;
