import type { GetBusinessMessageMappingsQuery, GetBusinessMessageMappingsResponse, MedipassRequestOpts } from '../types';
export declare const pathBusinessMessageMappings: (businessId: string) => string;
/**
 * Get business message mappings
 * @param {String} businessId - Health fund ID
 * @param {Object} query - Query parameters
 * @param {Object} opts - Additional options
 */
export declare const getBusinessMessageMappings: (businessId: string, query: GetBusinessMessageMappingsQuery, opts?: MedipassRequestOpts) => Promise<GetBusinessMessageMappingsResponse>;
