'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('@babel/runtime/helpers/defineProperty');
require('../utils/does-param-exist.js');
var utils_request = require('../staff-a3867398.js');
require('../utils/param-error.js');
require('@babel/runtime/helpers/inheritsLoose');
require('@babel/runtime/helpers/wrapNativeSuper');
require('lodash/forOwn');
require('@babel/runtime/regenerator');
require('@babel/runtime/helpers/asyncToGenerator');
require('lodash/merge');
require('lodash/uniq');
require('axios');
require('date-fns/differenceInSeconds');
require('jwt-decode');
require('lodash/get');
require('../utils/get-axios-error.js');
require('lodash/omitBy');
require('lodash/isEmpty');
require('../services/storage.js');
require('store/src/store-engine');
require('store/storages/localStorage');
require('store/storages/sessionStorage');
require('@medipass/utils/masked');
require('@medipass/utils/sensitive-keys');
require('platform');
require('@medipass/utils/constants');
require('pify');
require('@medipass/utils/get-env');
require('@medipass/utils/funders');
require('compare-versions');
require('../utils/base-urls/index.js');
require('../utils/base-urls/core.js');
require('../utils/base-urls/risk.js');
require('lodash/flatten');
require('../types/documents.js');
require('../types/filter-option.js');



exports.addTransactionNote = utils_request.addTransactionNote;
exports.createHealthFundDocumentNote = utils_request.createHealthFundDocumentNote;
exports.deleteHealthFundNote = utils_request.deleteHealthFundNote;
exports.deleteTransactionNote = utils_request.deleteTransactionNote;
exports.getHealthFundDocumentNotes = utils_request.getHealthFundDocumentNotes;
exports.getHealthFundNote = utils_request.getHealthFundNote;
exports.getHealthFundTransactionNote = utils_request.getHealthFundTransactionNote;
exports.getTransactionNote = utils_request.getTransactionNote;
exports.getTransactionNotes = utils_request.getTransactionNotes;
exports.pathGetTransactionNote = utils_request.pathGetTransactionNote;
exports.pathHealthFundDocumentNotes = utils_request.pathHealthFundDocumentNotes;
exports.pathHealthFundNote = utils_request.pathHealthFundNote;
exports.pathHealthFundTransactionNote = utils_request.pathHealthFundTransactionNote;
exports.pathTransactionNote = utils_request.pathTransactionNote;
exports.pathTransactionNotes = utils_request.pathTransactionNotes;
exports.updateHealthFundNote = utils_request.updateHealthFundNote;
