import type { MedipassRequestOpts } from '../types';
export declare const pathLinkPracticeProfile: (practiceProfileId: string) => string;
export declare const pathOrganisationPracticeProfiles: (organisationId: string) => string;
export declare const pathPracticeProfile: (practiceProfileId: string) => string;
export declare const pathUnlinkPracticeProfile: (practiceProfileId: string) => string;
declare type PracticeProfilesQuery = {
    practiceId?: string;
    unlinkedOnly?: boolean;
    from?: string;
    to?: string;
    sort?: string;
    searchText?: string;
    page?: number;
    limit?: number;
};
export declare const getOrganisationPracticeProfiles: (organisationId: string, query?: PracticeProfilesQuery, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const getPracticeProfile: (practiceProfileId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const linkPracticeProfile: (practiceProfileId: string, practiceId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export declare const unlinkPracticeProfile: (practiceProfileId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
export {};
