import type { MedipassRequestOpts } from '../types';
/**
 * Get risk score
 * @param {String} transactionId - Get a transaction risk score
 * @param {Object} opts - Additional options
 */
export declare const getTransactionRiskScore: (transactionId: string, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
/**
 * Score and save a transaction
 * @param {String} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const scoreAndSaveTransaction: (body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
