import type { MedipassRequestOpts } from '../types';
import '../types';
export declare const PATH__MEDICARE_VERIFY = "/medicare/verify";
/**
 * Verify medicare details
 * @param {Object} body - Request body
 * @param {Object} opts - Additional options
 */
export declare const verifyMedicare: (body: Record<string, any>, opts?: MedipassRequestOpts) => Promise<Record<string, any>>;
