'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('@babel/runtime/helpers/defineProperty');
require('@babel/runtime/regenerator');
require('@babel/runtime/helpers/asyncToGenerator');
require('axios');
require('compare-versions');
require('lodash/get');
var utils_request = require('../staff-a3867398.js');
require('lodash/merge');
require('lodash/uniq');
require('date-fns/differenceInSeconds');
require('jwt-decode');
require('lodash/forOwn');
require('../utils/get-axios-error.js');
require('../utils/does-param-exist.js');
require('../utils/param-error.js');
require('@babel/runtime/helpers/inheritsLoose');
require('@babel/runtime/helpers/wrapNativeSuper');
require('lodash/omitBy');
require('lodash/isEmpty');
require('./storage.js');
require('store/src/store-engine');
require('store/storages/localStorage');
require('store/storages/sessionStorage');
require('@medipass/utils/masked');
require('@medipass/utils/sensitive-keys');
require('platform');
require('@medipass/utils/constants');
require('pify');
require('@medipass/utils/get-env');
require('@medipass/utils/funders');
require('../utils/base-urls/index.js');
require('../utils/base-urls/core.js');
require('../utils/base-urls/risk.js');
require('lodash/flatten');
require('../types/documents.js');
require('../types/filter-option.js');



exports.checkAppVersion = utils_request.checkAppVersion;
exports.fetchLatestAppVersion = utils_request.fetchLatestAppVersion;
exports.fetchMinimumAppVerson = utils_request.fetchMinimumAppVerson;
exports.getCurrentAppVersion = utils_request.getCurrentAppVersion;
exports.setCurrentAppVersion = utils_request.setCurrentAppVersion;
