export interface Organisation {
    _id: string;
    fullName: string;
    displayName: string;
    config: {
        claims: {
            serviceEngineStubbed: boolean;
            nabServiceEngineTestClamped: boolean;
        };
    };
    sms: {
        memberInvite: {
            enabled: boolean;
            bodyTemplate: string;
            anonymousBodyTemplate: string;
        };
    };
    created: string;
    modified: string;
    email: {
        transactionReceipt: {
            enabled: boolean;
            subjectTemplate: string;
            subjectTemplateNoBenefit: string;
            bodyTemplate: string;
        };
    };
    status: string;
}
