import type { PaginatedQuery } from './index';
export interface Specialty {
    code: string;
    displayName: string;
    fullName: string;
    professionalCategoryId: string;
    _id: string;
    description: string;
    created: string;
    modified: string;
}
/** START: Requests */
export declare type GetSpecialtiesQuery = PaginatedQuery & {
    professionalCategoryId?: string;
    searchText?: string;
    specialtyIds?: string;
};
/** END: Requests */
